
#ifndef __DEFAULT_LIBVALIDE_VALIDE_0_0_H__
#define __DEFAULT_LIBVALIDE_VALIDE_0_0_H__

#include <glib.h>
#include <gtk/gtk.h>
#include <glib-object.h>
#include <stdlib.h>
#include <string.h>
#include <gdk-pixbuf/gdk-pixdata.h>
#include <gtksourceview/gtksourceview.h>
#include <gdk/gdk.h>
#include <float.h>
#include <math.h>
#include <libxml/xpath.h>
#include <sqlite3.h>

G_BEGIN_DECLS


#define VALIDE_TYPE_ABOUT_DIALOG (valide_about_dialog_get_type ())
#define VALIDE_ABOUT_DIALOG(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), VALIDE_TYPE_ABOUT_DIALOG, ValideAboutDialog))
#define VALIDE_ABOUT_DIALOG_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), VALIDE_TYPE_ABOUT_DIALOG, ValideAboutDialogClass))
#define VALIDE_IS_ABOUT_DIALOG(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), VALIDE_TYPE_ABOUT_DIALOG))
#define VALIDE_IS_ABOUT_DIALOG_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), VALIDE_TYPE_ABOUT_DIALOG))
#define VALIDE_ABOUT_DIALOG_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), VALIDE_TYPE_ABOUT_DIALOG, ValideAboutDialogClass))

typedef struct _ValideAboutDialog ValideAboutDialog;
typedef struct _ValideAboutDialogClass ValideAboutDialogClass;
typedef struct _ValideAboutDialogPrivate ValideAboutDialogPrivate;

#define VALIDE_TYPE_ABSTRACT_CONFIG_MANAGER (valide_abstract_config_manager_get_type ())
#define VALIDE_ABSTRACT_CONFIG_MANAGER(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), VALIDE_TYPE_ABSTRACT_CONFIG_MANAGER, ValideAbstractConfigManager))
#define VALIDE_ABSTRACT_CONFIG_MANAGER_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), VALIDE_TYPE_ABSTRACT_CONFIG_MANAGER, ValideAbstractConfigManagerClass))
#define VALIDE_IS_ABSTRACT_CONFIG_MANAGER(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), VALIDE_TYPE_ABSTRACT_CONFIG_MANAGER))
#define VALIDE_IS_ABSTRACT_CONFIG_MANAGER_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), VALIDE_TYPE_ABSTRACT_CONFIG_MANAGER))
#define VALIDE_ABSTRACT_CONFIG_MANAGER_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), VALIDE_TYPE_ABSTRACT_CONFIG_MANAGER, ValideAbstractConfigManagerClass))

typedef struct _ValideAbstractConfigManager ValideAbstractConfigManager;
typedef struct _ValideAbstractConfigManagerClass ValideAbstractConfigManagerClass;
typedef struct _ValideAbstractConfigManagerPrivate ValideAbstractConfigManagerPrivate;

#define VALIDE_TYPE_WINDOW (valide_window_get_type ())
#define VALIDE_WINDOW(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), VALIDE_TYPE_WINDOW, ValideWindow))
#define VALIDE_WINDOW_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), VALIDE_TYPE_WINDOW, ValideWindowClass))
#define VALIDE_IS_WINDOW(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), VALIDE_TYPE_WINDOW))
#define VALIDE_IS_WINDOW_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), VALIDE_TYPE_WINDOW))
#define VALIDE_WINDOW_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), VALIDE_TYPE_WINDOW, ValideWindowClass))

typedef struct _ValideWindow ValideWindow;
typedef struct _ValideWindowClass ValideWindowClass;

#define VALIDE_TYPE_IDOCUMENT (valide_idocument_get_type ())
#define VALIDE_IDOCUMENT(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), VALIDE_TYPE_IDOCUMENT, ValideiDocument))
#define VALIDE_IS_IDOCUMENT(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), VALIDE_TYPE_IDOCUMENT))
#define VALIDE_IDOCUMENT_GET_INTERFACE(obj) (G_TYPE_INSTANCE_GET_INTERFACE ((obj), VALIDE_TYPE_IDOCUMENT, ValideiDocumentIface))

typedef struct _ValideiDocument ValideiDocument;
typedef struct _ValideiDocumentIface ValideiDocumentIface;

#define VALIDE_TYPE_UI_MANAGER (valide_ui_manager_get_type ())
#define VALIDE_UI_MANAGER(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), VALIDE_TYPE_UI_MANAGER, ValideUIManager))
#define VALIDE_UI_MANAGER_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), VALIDE_TYPE_UI_MANAGER, ValideUIManagerClass))
#define VALIDE_IS_UI_MANAGER(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), VALIDE_TYPE_UI_MANAGER))
#define VALIDE_IS_UI_MANAGER_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), VALIDE_TYPE_UI_MANAGER))
#define VALIDE_UI_MANAGER_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), VALIDE_TYPE_UI_MANAGER, ValideUIManagerClass))

typedef struct _ValideUIManager ValideUIManager;
typedef struct _ValideUIManagerClass ValideUIManagerClass;

#define VALIDE_TYPE_DOCUMENT_STATE (valide_document_state_get_type ())

#define VALIDE_TYPE_ABSTRACT_TEXT_DOCUMENT (valide_abstract_text_document_get_type ())
#define VALIDE_ABSTRACT_TEXT_DOCUMENT(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), VALIDE_TYPE_ABSTRACT_TEXT_DOCUMENT, ValideAbstractTextDocument))
#define VALIDE_ABSTRACT_TEXT_DOCUMENT_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), VALIDE_TYPE_ABSTRACT_TEXT_DOCUMENT, ValideAbstractTextDocumentClass))
#define VALIDE_IS_ABSTRACT_TEXT_DOCUMENT(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), VALIDE_TYPE_ABSTRACT_TEXT_DOCUMENT))
#define VALIDE_IS_ABSTRACT_TEXT_DOCUMENT_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), VALIDE_TYPE_ABSTRACT_TEXT_DOCUMENT))
#define VALIDE_ABSTRACT_TEXT_DOCUMENT_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), VALIDE_TYPE_ABSTRACT_TEXT_DOCUMENT, ValideAbstractTextDocumentClass))

typedef struct _ValideAbstractTextDocument ValideAbstractTextDocument;
typedef struct _ValideAbstractTextDocumentClass ValideAbstractTextDocumentClass;
typedef struct _ValideAbstractTextDocumentPrivate ValideAbstractTextDocumentPrivate;

#define VALIDE_TYPE_SPLIT_SOURCE_VIEW (valide_split_source_view_get_type ())
#define VALIDE_SPLIT_SOURCE_VIEW(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), VALIDE_TYPE_SPLIT_SOURCE_VIEW, ValideSplitSourceView))
#define VALIDE_SPLIT_SOURCE_VIEW_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), VALIDE_TYPE_SPLIT_SOURCE_VIEW, ValideSplitSourceViewClass))
#define VALIDE_IS_SPLIT_SOURCE_VIEW(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), VALIDE_TYPE_SPLIT_SOURCE_VIEW))
#define VALIDE_IS_SPLIT_SOURCE_VIEW_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), VALIDE_TYPE_SPLIT_SOURCE_VIEW))
#define VALIDE_SPLIT_SOURCE_VIEW_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), VALIDE_TYPE_SPLIT_SOURCE_VIEW, ValideSplitSourceViewClass))

typedef struct _ValideSplitSourceView ValideSplitSourceView;
typedef struct _ValideSplitSourceViewClass ValideSplitSourceViewClass;

#define VALIDE_TYPE_POSITION (valide_position_get_type ())
typedef struct _ValidePosition ValidePosition;

#define VALIDE_TYPE_SOURCE_BUFFER (valide_source_buffer_get_type ())
#define VALIDE_SOURCE_BUFFER(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), VALIDE_TYPE_SOURCE_BUFFER, ValideSourceBuffer))
#define VALIDE_SOURCE_BUFFER_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), VALIDE_TYPE_SOURCE_BUFFER, ValideSourceBufferClass))
#define VALIDE_IS_SOURCE_BUFFER(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), VALIDE_TYPE_SOURCE_BUFFER))
#define VALIDE_IS_SOURCE_BUFFER_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), VALIDE_TYPE_SOURCE_BUFFER))
#define VALIDE_SOURCE_BUFFER_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), VALIDE_TYPE_SOURCE_BUFFER, ValideSourceBufferClass))

typedef struct _ValideSourceBuffer ValideSourceBuffer;
typedef struct _ValideSourceBufferClass ValideSourceBufferClass;

#define VALIDE_TYPE_SOURCE_VIEW (valide_source_view_get_type ())
#define VALIDE_SOURCE_VIEW(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), VALIDE_TYPE_SOURCE_VIEW, ValideSourceView))
#define VALIDE_SOURCE_VIEW_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), VALIDE_TYPE_SOURCE_VIEW, ValideSourceViewClass))
#define VALIDE_IS_SOURCE_VIEW(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), VALIDE_TYPE_SOURCE_VIEW))
#define VALIDE_IS_SOURCE_VIEW_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), VALIDE_TYPE_SOURCE_VIEW))
#define VALIDE_SOURCE_VIEW_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), VALIDE_TYPE_SOURCE_VIEW, ValideSourceViewClass))

typedef struct _ValideSourceView ValideSourceView;
typedef struct _ValideSourceViewClass ValideSourceViewClass;

#define VALIDE_TYPE_EXECUTABLE (valide_executable_get_type ())
#define VALIDE_EXECUTABLE(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), VALIDE_TYPE_EXECUTABLE, ValideExecutable))
#define VALIDE_EXECUTABLE_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), VALIDE_TYPE_EXECUTABLE, ValideExecutableClass))
#define VALIDE_IS_EXECUTABLE(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), VALIDE_TYPE_EXECUTABLE))
#define VALIDE_IS_EXECUTABLE_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), VALIDE_TYPE_EXECUTABLE))
#define VALIDE_EXECUTABLE_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), VALIDE_TYPE_EXECUTABLE, ValideExecutableClass))

typedef struct _ValideExecutable ValideExecutable;
typedef struct _ValideExecutableClass ValideExecutableClass;
typedef struct _ValideExecutablePrivate ValideExecutablePrivate;

#define VALIDE_TYPE_COMPILER (valide_compiler_get_type ())
#define VALIDE_COMPILER(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), VALIDE_TYPE_COMPILER, ValideCompiler))
#define VALIDE_COMPILER_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), VALIDE_TYPE_COMPILER, ValideCompilerClass))
#define VALIDE_IS_COMPILER(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), VALIDE_TYPE_COMPILER))
#define VALIDE_IS_COMPILER_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), VALIDE_TYPE_COMPILER))
#define VALIDE_COMPILER_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), VALIDE_TYPE_COMPILER, ValideCompilerClass))

typedef struct _ValideCompiler ValideCompiler;
typedef struct _ValideCompilerClass ValideCompilerClass;
typedef struct _ValideCompilerPrivate ValideCompilerPrivate;

#define VALIDE_TYPE_PROJECT (valide_project_get_type ())
#define VALIDE_PROJECT(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), VALIDE_TYPE_PROJECT, ValideProject))
#define VALIDE_PROJECT_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), VALIDE_TYPE_PROJECT, ValideProjectClass))
#define VALIDE_IS_PROJECT(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), VALIDE_TYPE_PROJECT))
#define VALIDE_IS_PROJECT_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), VALIDE_TYPE_PROJECT))
#define VALIDE_PROJECT_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), VALIDE_TYPE_PROJECT, ValideProjectClass))

typedef struct _ValideProject ValideProject;
typedef struct _ValideProjectClass ValideProjectClass;

#define VALIDE_TYPE_CONFIG_MANAGER (valide_config_manager_get_type ())
#define VALIDE_CONFIG_MANAGER(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), VALIDE_TYPE_CONFIG_MANAGER, ValideConfigManager))
#define VALIDE_CONFIG_MANAGER_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), VALIDE_TYPE_CONFIG_MANAGER, ValideConfigManagerClass))
#define VALIDE_IS_CONFIG_MANAGER(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), VALIDE_TYPE_CONFIG_MANAGER))
#define VALIDE_IS_CONFIG_MANAGER_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), VALIDE_TYPE_CONFIG_MANAGER))
#define VALIDE_CONFIG_MANAGER_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), VALIDE_TYPE_CONFIG_MANAGER, ValideConfigManagerClass))

typedef struct _ValideConfigManager ValideConfigManager;
typedef struct _ValideConfigManagerClass ValideConfigManagerClass;
typedef struct _ValideConfigManagerPrivate ValideConfigManagerPrivate;

#define VALIDE_TYPE_ABSTRACT_CLOSE_DIALOG (valide_abstract_close_dialog_get_type ())
#define VALIDE_ABSTRACT_CLOSE_DIALOG(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), VALIDE_TYPE_ABSTRACT_CLOSE_DIALOG, ValideAbstractCloseDialog))
#define VALIDE_ABSTRACT_CLOSE_DIALOG_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), VALIDE_TYPE_ABSTRACT_CLOSE_DIALOG, ValideAbstractCloseDialogClass))
#define VALIDE_IS_ABSTRACT_CLOSE_DIALOG(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), VALIDE_TYPE_ABSTRACT_CLOSE_DIALOG))
#define VALIDE_IS_ABSTRACT_CLOSE_DIALOG_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), VALIDE_TYPE_ABSTRACT_CLOSE_DIALOG))
#define VALIDE_ABSTRACT_CLOSE_DIALOG_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), VALIDE_TYPE_ABSTRACT_CLOSE_DIALOG, ValideAbstractCloseDialogClass))

typedef struct _ValideAbstractCloseDialog ValideAbstractCloseDialog;
typedef struct _ValideAbstractCloseDialogClass ValideAbstractCloseDialogClass;
typedef struct _ValideAbstractCloseDialogPrivate ValideAbstractCloseDialogPrivate;

#define VALIDE_ABSTRACT_CLOSE_DIALOG_TYPE_WINDOW_WIDGETS (valide_abstract_close_dialog_window_widgets_get_type ())
#define VALIDE_ABSTRACT_CLOSE_DIALOG_WINDOW_WIDGETS(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), VALIDE_ABSTRACT_CLOSE_DIALOG_TYPE_WINDOW_WIDGETS, ValideAbstractCloseDialogwindow_widgets))
#define VALIDE_ABSTRACT_CLOSE_DIALOG_WINDOW_WIDGETS_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), VALIDE_ABSTRACT_CLOSE_DIALOG_TYPE_WINDOW_WIDGETS, ValideAbstractCloseDialogwindow_widgetsClass))
#define VALIDE_ABSTRACT_CLOSE_DIALOG_IS_WINDOW_WIDGETS(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), VALIDE_ABSTRACT_CLOSE_DIALOG_TYPE_WINDOW_WIDGETS))
#define VALIDE_ABSTRACT_CLOSE_DIALOG_IS_WINDOW_WIDGETS_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), VALIDE_ABSTRACT_CLOSE_DIALOG_TYPE_WINDOW_WIDGETS))
#define VALIDE_ABSTRACT_CLOSE_DIALOG_WINDOW_WIDGETS_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), VALIDE_ABSTRACT_CLOSE_DIALOG_TYPE_WINDOW_WIDGETS, ValideAbstractCloseDialogwindow_widgetsClass))

typedef struct _ValideAbstractCloseDialogwindow_widgets ValideAbstractCloseDialogwindow_widgets;
typedef struct _ValideAbstractCloseDialogwindow_widgetsClass ValideAbstractCloseDialogwindow_widgetsClass;

#define VALIDE_TYPE_DOCUMENT_CLOSE_DIALOG (valide_document_close_dialog_get_type ())
#define VALIDE_DOCUMENT_CLOSE_DIALOG(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), VALIDE_TYPE_DOCUMENT_CLOSE_DIALOG, ValideDocumentCloseDialog))
#define VALIDE_DOCUMENT_CLOSE_DIALOG_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), VALIDE_TYPE_DOCUMENT_CLOSE_DIALOG, ValideDocumentCloseDialogClass))
#define VALIDE_IS_DOCUMENT_CLOSE_DIALOG(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), VALIDE_TYPE_DOCUMENT_CLOSE_DIALOG))
#define VALIDE_IS_DOCUMENT_CLOSE_DIALOG_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), VALIDE_TYPE_DOCUMENT_CLOSE_DIALOG))
#define VALIDE_DOCUMENT_CLOSE_DIALOG_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), VALIDE_TYPE_DOCUMENT_CLOSE_DIALOG, ValideDocumentCloseDialogClass))

typedef struct _ValideDocumentCloseDialog ValideDocumentCloseDialog;
typedef struct _ValideDocumentCloseDialogClass ValideDocumentCloseDialogClass;
typedef struct _ValideDocumentCloseDialogPrivate ValideDocumentCloseDialogPrivate;

#define VALIDE_TYPE_DOCUMENT_MANAGER (valide_document_manager_get_type ())
#define VALIDE_DOCUMENT_MANAGER(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), VALIDE_TYPE_DOCUMENT_MANAGER, ValideDocumentManager))
#define VALIDE_DOCUMENT_MANAGER_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), VALIDE_TYPE_DOCUMENT_MANAGER, ValideDocumentManagerClass))
#define VALIDE_IS_DOCUMENT_MANAGER(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), VALIDE_TYPE_DOCUMENT_MANAGER))
#define VALIDE_IS_DOCUMENT_MANAGER_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), VALIDE_TYPE_DOCUMENT_MANAGER))
#define VALIDE_DOCUMENT_MANAGER_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), VALIDE_TYPE_DOCUMENT_MANAGER, ValideDocumentManagerClass))

typedef struct _ValideDocumentManager ValideDocumentManager;
typedef struct _ValideDocumentManagerClass ValideDocumentManagerClass;
typedef struct _ValideDocumentManagerPrivate ValideDocumentManagerPrivate;

#define VALIDE_TYPE_DOCUMENT_MESSAGE (valide_document_message_get_type ())
#define VALIDE_DOCUMENT_MESSAGE(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), VALIDE_TYPE_DOCUMENT_MESSAGE, ValideDocumentMessage))
#define VALIDE_DOCUMENT_MESSAGE_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), VALIDE_TYPE_DOCUMENT_MESSAGE, ValideDocumentMessageClass))
#define VALIDE_IS_DOCUMENT_MESSAGE(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), VALIDE_TYPE_DOCUMENT_MESSAGE))
#define VALIDE_IS_DOCUMENT_MESSAGE_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), VALIDE_TYPE_DOCUMENT_MESSAGE))
#define VALIDE_DOCUMENT_MESSAGE_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), VALIDE_TYPE_DOCUMENT_MESSAGE, ValideDocumentMessageClass))

typedef struct _ValideDocumentMessage ValideDocumentMessage;
typedef struct _ValideDocumentMessageClass ValideDocumentMessageClass;
typedef struct _ValideDocumentMessagePrivate ValideDocumentMessagePrivate;

#define VALIDE_TYPE_TXT_DOCUMENT (valide_txt_document_get_type ())
#define VALIDE_TXT_DOCUMENT(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), VALIDE_TYPE_TXT_DOCUMENT, ValideTxtDocument))
#define VALIDE_TXT_DOCUMENT_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), VALIDE_TYPE_TXT_DOCUMENT, ValideTxtDocumentClass))
#define VALIDE_IS_TXT_DOCUMENT(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), VALIDE_TYPE_TXT_DOCUMENT))
#define VALIDE_IS_TXT_DOCUMENT_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), VALIDE_TYPE_TXT_DOCUMENT))
#define VALIDE_TXT_DOCUMENT_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), VALIDE_TYPE_TXT_DOCUMENT, ValideTxtDocumentClass))

typedef struct _ValideTxtDocument ValideTxtDocument;
typedef struct _ValideTxtDocumentClass ValideTxtDocumentClass;
typedef struct _ValideTxtDocumentPrivate ValideTxtDocumentPrivate;

#define VALIDE_TYPE_GS_DOCUMENT (valide_gs_document_get_type ())
#define VALIDE_GS_DOCUMENT(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), VALIDE_TYPE_GS_DOCUMENT, ValideGsDocument))
#define VALIDE_GS_DOCUMENT_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), VALIDE_TYPE_GS_DOCUMENT, ValideGsDocumentClass))
#define VALIDE_IS_GS_DOCUMENT(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), VALIDE_TYPE_GS_DOCUMENT))
#define VALIDE_IS_GS_DOCUMENT_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), VALIDE_TYPE_GS_DOCUMENT))
#define VALIDE_GS_DOCUMENT_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), VALIDE_TYPE_GS_DOCUMENT, ValideGsDocumentClass))

typedef struct _ValideGsDocument ValideGsDocument;
typedef struct _ValideGsDocumentClass ValideGsDocumentClass;
typedef struct _ValideGsDocumentPrivate ValideGsDocumentPrivate;

#define VALIDE_TYPE_VALA_DOCUMENT (valide_vala_document_get_type ())
#define VALIDE_VALA_DOCUMENT(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), VALIDE_TYPE_VALA_DOCUMENT, ValideValaDocument))
#define VALIDE_VALA_DOCUMENT_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), VALIDE_TYPE_VALA_DOCUMENT, ValideValaDocumentClass))
#define VALIDE_IS_VALA_DOCUMENT(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), VALIDE_TYPE_VALA_DOCUMENT))
#define VALIDE_IS_VALA_DOCUMENT_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), VALIDE_TYPE_VALA_DOCUMENT))
#define VALIDE_VALA_DOCUMENT_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), VALIDE_TYPE_VALA_DOCUMENT, ValideValaDocumentClass))

typedef struct _ValideValaDocument ValideValaDocument;
typedef struct _ValideValaDocumentClass ValideValaDocumentClass;
typedef struct _ValideValaDocumentPrivate ValideValaDocumentPrivate;

#define VALIDE_TYPE_VAPI_DOCUMENT (valide_vapi_document_get_type ())
#define VALIDE_VAPI_DOCUMENT(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), VALIDE_TYPE_VAPI_DOCUMENT, ValideVapiDocument))
#define VALIDE_VAPI_DOCUMENT_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), VALIDE_TYPE_VAPI_DOCUMENT, ValideVapiDocumentClass))
#define VALIDE_IS_VAPI_DOCUMENT(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), VALIDE_TYPE_VAPI_DOCUMENT))
#define VALIDE_IS_VAPI_DOCUMENT_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), VALIDE_TYPE_VAPI_DOCUMENT))
#define VALIDE_VAPI_DOCUMENT_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), VALIDE_TYPE_VAPI_DOCUMENT, ValideVapiDocumentClass))

typedef struct _ValideVapiDocument ValideVapiDocument;
typedef struct _ValideVapiDocumentClass ValideVapiDocumentClass;
typedef struct _ValideVapiDocumentPrivate ValideVapiDocumentPrivate;

#define VALIDE_TYPE_XML_DOCUMENT (valide_xml_document_get_type ())
#define VALIDE_XML_DOCUMENT(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), VALIDE_TYPE_XML_DOCUMENT, ValideXmlDocument))
#define VALIDE_XML_DOCUMENT_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), VALIDE_TYPE_XML_DOCUMENT, ValideXmlDocumentClass))
#define VALIDE_IS_XML_DOCUMENT(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), VALIDE_TYPE_XML_DOCUMENT))
#define VALIDE_IS_XML_DOCUMENT_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), VALIDE_TYPE_XML_DOCUMENT))
#define VALIDE_XML_DOCUMENT_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), VALIDE_TYPE_XML_DOCUMENT, ValideXmlDocumentClass))

typedef struct _ValideXmlDocument ValideXmlDocument;
typedef struct _ValideXmlDocumentClass ValideXmlDocumentClass;
typedef struct _ValideXmlDocumentPrivate ValideXmlDocumentPrivate;

#define VALIDE_TYPE_GLADE_DOCUMENT (valide_glade_document_get_type ())
#define VALIDE_GLADE_DOCUMENT(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), VALIDE_TYPE_GLADE_DOCUMENT, ValideGladeDocument))
#define VALIDE_GLADE_DOCUMENT_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), VALIDE_TYPE_GLADE_DOCUMENT, ValideGladeDocumentClass))
#define VALIDE_IS_GLADE_DOCUMENT(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), VALIDE_TYPE_GLADE_DOCUMENT))
#define VALIDE_IS_GLADE_DOCUMENT_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), VALIDE_TYPE_GLADE_DOCUMENT))
#define VALIDE_GLADE_DOCUMENT_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), VALIDE_TYPE_GLADE_DOCUMENT, ValideGladeDocumentClass))

typedef struct _ValideGladeDocument ValideGladeDocument;
typedef struct _ValideGladeDocumentClass ValideGladeDocumentClass;
typedef struct _ValideGladeDocumentPrivate ValideGladeDocumentPrivate;

#define VALIDE_TYPE_UI_DOCUMENT (valide_ui_document_get_type ())
#define VALIDE_UI_DOCUMENT(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), VALIDE_TYPE_UI_DOCUMENT, ValideUiDocument))
#define VALIDE_UI_DOCUMENT_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), VALIDE_TYPE_UI_DOCUMENT, ValideUiDocumentClass))
#define VALIDE_IS_UI_DOCUMENT(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), VALIDE_TYPE_UI_DOCUMENT))
#define VALIDE_IS_UI_DOCUMENT_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), VALIDE_TYPE_UI_DOCUMENT))
#define VALIDE_UI_DOCUMENT_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), VALIDE_TYPE_UI_DOCUMENT, ValideUiDocumentClass))

typedef struct _ValideUiDocument ValideUiDocument;
typedef struct _ValideUiDocumentClass ValideUiDocumentClass;
typedef struct _ValideUiDocumentPrivate ValideUiDocumentPrivate;

#define VALIDE_TYPE_ENCODING (valide_encoding_get_type ())
#define VALIDE_ENCODING(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), VALIDE_TYPE_ENCODING, ValideEncoding))
#define VALIDE_ENCODING_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), VALIDE_TYPE_ENCODING, ValideEncodingClass))
#define VALIDE_IS_ENCODING(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), VALIDE_TYPE_ENCODING))
#define VALIDE_IS_ENCODING_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), VALIDE_TYPE_ENCODING))
#define VALIDE_ENCODING_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), VALIDE_TYPE_ENCODING, ValideEncodingClass))

typedef struct _ValideEncoding ValideEncoding;
typedef struct _ValideEncodingClass ValideEncodingClass;
typedef struct _ValideEncodingPrivate ValideEncodingPrivate;

#define VALIDE_TYPE_EXECUTABLE_MANAGER (valide_executable_manager_get_type ())
#define VALIDE_EXECUTABLE_MANAGER(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), VALIDE_TYPE_EXECUTABLE_MANAGER, ValideExecutableManager))
#define VALIDE_EXECUTABLE_MANAGER_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), VALIDE_TYPE_EXECUTABLE_MANAGER, ValideExecutableManagerClass))
#define VALIDE_IS_EXECUTABLE_MANAGER(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), VALIDE_TYPE_EXECUTABLE_MANAGER))
#define VALIDE_IS_EXECUTABLE_MANAGER_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), VALIDE_TYPE_EXECUTABLE_MANAGER))
#define VALIDE_EXECUTABLE_MANAGER_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), VALIDE_TYPE_EXECUTABLE_MANAGER, ValideExecutableManagerClass))

typedef struct _ValideExecutableManager ValideExecutableManager;
typedef struct _ValideExecutableManagerClass ValideExecutableManagerClass;
typedef struct _ValideExecutableManagerPrivate ValideExecutableManagerPrivate;

#define VALIDE_TYPE_GOTO_DIALOG (valide_goto_dialog_get_type ())
#define VALIDE_GOTO_DIALOG(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), VALIDE_TYPE_GOTO_DIALOG, ValideGotoDialog))
#define VALIDE_GOTO_DIALOG_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), VALIDE_TYPE_GOTO_DIALOG, ValideGotoDialogClass))
#define VALIDE_IS_GOTO_DIALOG(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), VALIDE_TYPE_GOTO_DIALOG))
#define VALIDE_IS_GOTO_DIALOG_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), VALIDE_TYPE_GOTO_DIALOG))
#define VALIDE_GOTO_DIALOG_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), VALIDE_TYPE_GOTO_DIALOG, ValideGotoDialogClass))

typedef struct _ValideGotoDialog ValideGotoDialog;
typedef struct _ValideGotoDialogClass ValideGotoDialogClass;
typedef struct _ValideGotoDialogPrivate ValideGotoDialogPrivate;

#define VALIDE_TYPE_MARKUP (valide_markup_get_type ())
#define VALIDE_MARKUP(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), VALIDE_TYPE_MARKUP, ValideMarkup))
#define VALIDE_MARKUP_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), VALIDE_TYPE_MARKUP, ValideMarkupClass))
#define VALIDE_IS_MARKUP(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), VALIDE_TYPE_MARKUP))
#define VALIDE_IS_MARKUP_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), VALIDE_TYPE_MARKUP))
#define VALIDE_MARKUP_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), VALIDE_TYPE_MARKUP, ValideMarkupClass))

typedef struct _ValideMarkup ValideMarkup;
typedef struct _ValideMarkupClass ValideMarkupClass;
typedef struct _ValideMarkupPrivate ValideMarkupPrivate;

#define VALIDE_TYPE_PANEL (valide_panel_get_type ())
#define VALIDE_PANEL(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), VALIDE_TYPE_PANEL, ValidePanel))
#define VALIDE_PANEL_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), VALIDE_TYPE_PANEL, ValidePanelClass))
#define VALIDE_IS_PANEL(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), VALIDE_TYPE_PANEL))
#define VALIDE_IS_PANEL_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), VALIDE_TYPE_PANEL))
#define VALIDE_PANEL_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), VALIDE_TYPE_PANEL, ValidePanelClass))

typedef struct _ValidePanel ValidePanel;
typedef struct _ValidePanelClass ValidePanelClass;
typedef struct _ValidePanelPrivate ValidePanelPrivate;

#define VALIDE_TYPE_PLUGIN_MANAGER (valide_plugin_manager_get_type ())
#define VALIDE_PLUGIN_MANAGER(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), VALIDE_TYPE_PLUGIN_MANAGER, ValidePluginManager))
#define VALIDE_PLUGIN_MANAGER_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), VALIDE_TYPE_PLUGIN_MANAGER, ValidePluginManagerClass))
#define VALIDE_IS_PLUGIN_MANAGER(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), VALIDE_TYPE_PLUGIN_MANAGER))
#define VALIDE_IS_PLUGIN_MANAGER_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), VALIDE_TYPE_PLUGIN_MANAGER))
#define VALIDE_PLUGIN_MANAGER_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), VALIDE_TYPE_PLUGIN_MANAGER, ValidePluginManagerClass))

typedef struct _ValidePluginManager ValidePluginManager;
typedef struct _ValidePluginManagerClass ValidePluginManagerClass;
typedef struct _ValidePluginManagerPrivate ValidePluginManagerPrivate;

#define VALIDE_TYPE_PLUGIN_REGISTRAR (valide_plugin_registrar_get_type ())
#define VALIDE_PLUGIN_REGISTRAR(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), VALIDE_TYPE_PLUGIN_REGISTRAR, ValidePluginRegistrar))
#define VALIDE_PLUGIN_REGISTRAR_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), VALIDE_TYPE_PLUGIN_REGISTRAR, ValidePluginRegistrarClass))
#define VALIDE_IS_PLUGIN_REGISTRAR(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), VALIDE_TYPE_PLUGIN_REGISTRAR))
#define VALIDE_IS_PLUGIN_REGISTRAR_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), VALIDE_TYPE_PLUGIN_REGISTRAR))
#define VALIDE_PLUGIN_REGISTRAR_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), VALIDE_TYPE_PLUGIN_REGISTRAR, ValidePluginRegistrarClass))

typedef struct _ValidePluginRegistrar ValidePluginRegistrar;
typedef struct _ValidePluginRegistrarClass ValidePluginRegistrarClass;

#define VALIDE_TYPE_PLUGIN_PREFERENCES (valide_plugin_preferences_get_type ())
#define VALIDE_PLUGIN_PREFERENCES(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), VALIDE_TYPE_PLUGIN_PREFERENCES, ValidePluginPreferences))
#define VALIDE_PLUGIN_PREFERENCES_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), VALIDE_TYPE_PLUGIN_PREFERENCES, ValidePluginPreferencesClass))
#define VALIDE_IS_PLUGIN_PREFERENCES(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), VALIDE_TYPE_PLUGIN_PREFERENCES))
#define VALIDE_IS_PLUGIN_PREFERENCES_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), VALIDE_TYPE_PLUGIN_PREFERENCES))
#define VALIDE_PLUGIN_PREFERENCES_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), VALIDE_TYPE_PLUGIN_PREFERENCES, ValidePluginPreferencesClass))

typedef struct _ValidePluginPreferences ValidePluginPreferences;
typedef struct _ValidePluginPreferencesClass ValidePluginPreferencesClass;
typedef struct _ValidePluginPreferencesPrivate ValidePluginPreferencesPrivate;
typedef struct _ValidePluginRegistrarPrivate ValidePluginRegistrarPrivate;

#define VALIDE_TYPE_PLUGIN (valide_plugin_get_type ())
#define VALIDE_PLUGIN(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), VALIDE_TYPE_PLUGIN, ValidePlugin))
#define VALIDE_IS_PLUGIN(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), VALIDE_TYPE_PLUGIN))
#define VALIDE_PLUGIN_GET_INTERFACE(obj) (G_TYPE_INSTANCE_GET_INTERFACE ((obj), VALIDE_TYPE_PLUGIN, ValidePluginIface))

typedef struct _ValidePlugin ValidePlugin;
typedef struct _ValidePluginIface ValidePluginIface;

#define VALIDE_TYPE_ABSTRACT_PREFERENCES_DIALOG (valide_abstract_preferences_dialog_get_type ())
#define VALIDE_ABSTRACT_PREFERENCES_DIALOG(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), VALIDE_TYPE_ABSTRACT_PREFERENCES_DIALOG, ValideAbstractPreferencesDialog))
#define VALIDE_ABSTRACT_PREFERENCES_DIALOG_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), VALIDE_TYPE_ABSTRACT_PREFERENCES_DIALOG, ValideAbstractPreferencesDialogClass))
#define VALIDE_IS_ABSTRACT_PREFERENCES_DIALOG(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), VALIDE_TYPE_ABSTRACT_PREFERENCES_DIALOG))
#define VALIDE_IS_ABSTRACT_PREFERENCES_DIALOG_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), VALIDE_TYPE_ABSTRACT_PREFERENCES_DIALOG))
#define VALIDE_ABSTRACT_PREFERENCES_DIALOG_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), VALIDE_TYPE_ABSTRACT_PREFERENCES_DIALOG, ValideAbstractPreferencesDialogClass))

typedef struct _ValideAbstractPreferencesDialog ValideAbstractPreferencesDialog;
typedef struct _ValideAbstractPreferencesDialogClass ValideAbstractPreferencesDialogClass;
typedef struct _ValideAbstractPreferencesDialogPrivate ValideAbstractPreferencesDialogPrivate;

#define VALIDE_ABSTRACT_PREFERENCES_DIALOG_TYPE_WINDOW_WIDGETS (valide_abstract_preferences_dialog_window_widgets_get_type ())
#define VALIDE_ABSTRACT_PREFERENCES_DIALOG_WINDOW_WIDGETS(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), VALIDE_ABSTRACT_PREFERENCES_DIALOG_TYPE_WINDOW_WIDGETS, ValideAbstractPreferencesDialogwindow_widgets))
#define VALIDE_ABSTRACT_PREFERENCES_DIALOG_WINDOW_WIDGETS_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), VALIDE_ABSTRACT_PREFERENCES_DIALOG_TYPE_WINDOW_WIDGETS, ValideAbstractPreferencesDialogwindow_widgetsClass))
#define VALIDE_ABSTRACT_PREFERENCES_DIALOG_IS_WINDOW_WIDGETS(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), VALIDE_ABSTRACT_PREFERENCES_DIALOG_TYPE_WINDOW_WIDGETS))
#define VALIDE_ABSTRACT_PREFERENCES_DIALOG_IS_WINDOW_WIDGETS_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), VALIDE_ABSTRACT_PREFERENCES_DIALOG_TYPE_WINDOW_WIDGETS))
#define VALIDE_ABSTRACT_PREFERENCES_DIALOG_WINDOW_WIDGETS_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), VALIDE_ABSTRACT_PREFERENCES_DIALOG_TYPE_WINDOW_WIDGETS, ValideAbstractPreferencesDialogwindow_widgetsClass))

typedef struct _ValideAbstractPreferencesDialogwindow_widgets ValideAbstractPreferencesDialogwindow_widgets;
typedef struct _ValideAbstractPreferencesDialogwindow_widgetsClass ValideAbstractPreferencesDialogwindow_widgetsClass;

#define VALIDE_TYPE_PREFERENCES_DIALOG (valide_preferences_dialog_get_type ())
#define VALIDE_PREFERENCES_DIALOG(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), VALIDE_TYPE_PREFERENCES_DIALOG, ValidePreferencesDialog))
#define VALIDE_PREFERENCES_DIALOG_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), VALIDE_TYPE_PREFERENCES_DIALOG, ValidePreferencesDialogClass))
#define VALIDE_IS_PREFERENCES_DIALOG(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), VALIDE_TYPE_PREFERENCES_DIALOG))
#define VALIDE_IS_PREFERENCES_DIALOG_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), VALIDE_TYPE_PREFERENCES_DIALOG))
#define VALIDE_PREFERENCES_DIALOG_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), VALIDE_TYPE_PREFERENCES_DIALOG, ValidePreferencesDialogClass))

typedef struct _ValidePreferencesDialog ValidePreferencesDialog;
typedef struct _ValidePreferencesDialogClass ValidePreferencesDialogClass;
typedef struct _ValidePreferencesDialogPrivate ValidePreferencesDialogPrivate;

#define VALIDE_TYPE_ABSTRACT_PROJECT_DIALOG_OPTIONS (valide_abstract_project_dialog_options_get_type ())
#define VALIDE_ABSTRACT_PROJECT_DIALOG_OPTIONS(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), VALIDE_TYPE_ABSTRACT_PROJECT_DIALOG_OPTIONS, ValideAbstractProjectDialogOptions))
#define VALIDE_ABSTRACT_PROJECT_DIALOG_OPTIONS_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), VALIDE_TYPE_ABSTRACT_PROJECT_DIALOG_OPTIONS, ValideAbstractProjectDialogOptionsClass))
#define VALIDE_IS_ABSTRACT_PROJECT_DIALOG_OPTIONS(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), VALIDE_TYPE_ABSTRACT_PROJECT_DIALOG_OPTIONS))
#define VALIDE_IS_ABSTRACT_PROJECT_DIALOG_OPTIONS_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), VALIDE_TYPE_ABSTRACT_PROJECT_DIALOG_OPTIONS))
#define VALIDE_ABSTRACT_PROJECT_DIALOG_OPTIONS_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), VALIDE_TYPE_ABSTRACT_PROJECT_DIALOG_OPTIONS, ValideAbstractProjectDialogOptionsClass))

typedef struct _ValideAbstractProjectDialogOptions ValideAbstractProjectDialogOptions;
typedef struct _ValideAbstractProjectDialogOptionsClass ValideAbstractProjectDialogOptionsClass;
typedef struct _ValideAbstractProjectDialogOptionsPrivate ValideAbstractProjectDialogOptionsPrivate;

#define VALIDE_ABSTRACT_PROJECT_DIALOG_OPTIONS_TYPE_WINDOW_WIDGETS (valide_abstract_project_dialog_options_window_widgets_get_type ())
#define VALIDE_ABSTRACT_PROJECT_DIALOG_OPTIONS_WINDOW_WIDGETS(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), VALIDE_ABSTRACT_PROJECT_DIALOG_OPTIONS_TYPE_WINDOW_WIDGETS, ValideAbstractProjectDialogOptionswindow_widgets))
#define VALIDE_ABSTRACT_PROJECT_DIALOG_OPTIONS_WINDOW_WIDGETS_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), VALIDE_ABSTRACT_PROJECT_DIALOG_OPTIONS_TYPE_WINDOW_WIDGETS, ValideAbstractProjectDialogOptionswindow_widgetsClass))
#define VALIDE_ABSTRACT_PROJECT_DIALOG_OPTIONS_IS_WINDOW_WIDGETS(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), VALIDE_ABSTRACT_PROJECT_DIALOG_OPTIONS_TYPE_WINDOW_WIDGETS))
#define VALIDE_ABSTRACT_PROJECT_DIALOG_OPTIONS_IS_WINDOW_WIDGETS_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), VALIDE_ABSTRACT_PROJECT_DIALOG_OPTIONS_TYPE_WINDOW_WIDGETS))
#define VALIDE_ABSTRACT_PROJECT_DIALOG_OPTIONS_WINDOW_WIDGETS_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), VALIDE_ABSTRACT_PROJECT_DIALOG_OPTIONS_TYPE_WINDOW_WIDGETS, ValideAbstractProjectDialogOptionswindow_widgetsClass))

typedef struct _ValideAbstractProjectDialogOptionswindow_widgets ValideAbstractProjectDialogOptionswindow_widgets;
typedef struct _ValideAbstractProjectDialogOptionswindow_widgetsClass ValideAbstractProjectDialogOptionswindow_widgetsClass;

#define VALIDE_TYPE_PROJECT_DIALOG_OPTIONS (valide_project_dialog_options_get_type ())
#define VALIDE_PROJECT_DIALOG_OPTIONS(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), VALIDE_TYPE_PROJECT_DIALOG_OPTIONS, ValideProjectDialogOptions))
#define VALIDE_PROJECT_DIALOG_OPTIONS_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), VALIDE_TYPE_PROJECT_DIALOG_OPTIONS, ValideProjectDialogOptionsClass))
#define VALIDE_IS_PROJECT_DIALOG_OPTIONS(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), VALIDE_TYPE_PROJECT_DIALOG_OPTIONS))
#define VALIDE_IS_PROJECT_DIALOG_OPTIONS_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), VALIDE_TYPE_PROJECT_DIALOG_OPTIONS))
#define VALIDE_PROJECT_DIALOG_OPTIONS_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), VALIDE_TYPE_PROJECT_DIALOG_OPTIONS, ValideProjectDialogOptionsClass))

typedef struct _ValideProjectDialogOptions ValideProjectDialogOptions;
typedef struct _ValideProjectDialogOptionsClass ValideProjectDialogOptionsClass;
typedef struct _ValideProjectDialogOptionsPrivate ValideProjectDialogOptionsPrivate;

#define VALIDE_TYPE_ABSTRACT_PROJECT_DIALOG_REMOVE (valide_abstract_project_dialog_remove_get_type ())
#define VALIDE_ABSTRACT_PROJECT_DIALOG_REMOVE(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), VALIDE_TYPE_ABSTRACT_PROJECT_DIALOG_REMOVE, ValideAbstractProjectDialogRemove))
#define VALIDE_ABSTRACT_PROJECT_DIALOG_REMOVE_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), VALIDE_TYPE_ABSTRACT_PROJECT_DIALOG_REMOVE, ValideAbstractProjectDialogRemoveClass))
#define VALIDE_IS_ABSTRACT_PROJECT_DIALOG_REMOVE(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), VALIDE_TYPE_ABSTRACT_PROJECT_DIALOG_REMOVE))
#define VALIDE_IS_ABSTRACT_PROJECT_DIALOG_REMOVE_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), VALIDE_TYPE_ABSTRACT_PROJECT_DIALOG_REMOVE))
#define VALIDE_ABSTRACT_PROJECT_DIALOG_REMOVE_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), VALIDE_TYPE_ABSTRACT_PROJECT_DIALOG_REMOVE, ValideAbstractProjectDialogRemoveClass))

typedef struct _ValideAbstractProjectDialogRemove ValideAbstractProjectDialogRemove;
typedef struct _ValideAbstractProjectDialogRemoveClass ValideAbstractProjectDialogRemoveClass;
typedef struct _ValideAbstractProjectDialogRemovePrivate ValideAbstractProjectDialogRemovePrivate;

#define VALIDE_ABSTRACT_PROJECT_DIALOG_REMOVE_TYPE_WINDOW_WIDGETS (valide_abstract_project_dialog_remove_window_widgets_get_type ())
#define VALIDE_ABSTRACT_PROJECT_DIALOG_REMOVE_WINDOW_WIDGETS(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), VALIDE_ABSTRACT_PROJECT_DIALOG_REMOVE_TYPE_WINDOW_WIDGETS, ValideAbstractProjectDialogRemovewindow_widgets))
#define VALIDE_ABSTRACT_PROJECT_DIALOG_REMOVE_WINDOW_WIDGETS_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), VALIDE_ABSTRACT_PROJECT_DIALOG_REMOVE_TYPE_WINDOW_WIDGETS, ValideAbstractProjectDialogRemovewindow_widgetsClass))
#define VALIDE_ABSTRACT_PROJECT_DIALOG_REMOVE_IS_WINDOW_WIDGETS(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), VALIDE_ABSTRACT_PROJECT_DIALOG_REMOVE_TYPE_WINDOW_WIDGETS))
#define VALIDE_ABSTRACT_PROJECT_DIALOG_REMOVE_IS_WINDOW_WIDGETS_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), VALIDE_ABSTRACT_PROJECT_DIALOG_REMOVE_TYPE_WINDOW_WIDGETS))
#define VALIDE_ABSTRACT_PROJECT_DIALOG_REMOVE_WINDOW_WIDGETS_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), VALIDE_ABSTRACT_PROJECT_DIALOG_REMOVE_TYPE_WINDOW_WIDGETS, ValideAbstractProjectDialogRemovewindow_widgetsClass))

typedef struct _ValideAbstractProjectDialogRemovewindow_widgets ValideAbstractProjectDialogRemovewindow_widgets;
typedef struct _ValideAbstractProjectDialogRemovewindow_widgetsClass ValideAbstractProjectDialogRemovewindow_widgetsClass;

#define VALIDE_TYPE_PROJECT_DIALOG_REMOVE (valide_project_dialog_remove_get_type ())
#define VALIDE_PROJECT_DIALOG_REMOVE(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), VALIDE_TYPE_PROJECT_DIALOG_REMOVE, ValideProjectDialogRemove))
#define VALIDE_PROJECT_DIALOG_REMOVE_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), VALIDE_TYPE_PROJECT_DIALOG_REMOVE, ValideProjectDialogRemoveClass))
#define VALIDE_IS_PROJECT_DIALOG_REMOVE(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), VALIDE_TYPE_PROJECT_DIALOG_REMOVE))
#define VALIDE_IS_PROJECT_DIALOG_REMOVE_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), VALIDE_TYPE_PROJECT_DIALOG_REMOVE))
#define VALIDE_PROJECT_DIALOG_REMOVE_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), VALIDE_TYPE_PROJECT_DIALOG_REMOVE, ValideProjectDialogRemoveClass))

typedef struct _ValideProjectDialogRemove ValideProjectDialogRemove;
typedef struct _ValideProjectDialogRemoveClass ValideProjectDialogRemoveClass;
typedef struct _ValideProjectDialogRemovePrivate ValideProjectDialogRemovePrivate;

#define VALIDE_TYPE_ABSTRACT_PROJECT_DIALOG (valide_abstract_project_dialog_get_type ())
#define VALIDE_ABSTRACT_PROJECT_DIALOG(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), VALIDE_TYPE_ABSTRACT_PROJECT_DIALOG, ValideAbstractProjectDialog))
#define VALIDE_ABSTRACT_PROJECT_DIALOG_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), VALIDE_TYPE_ABSTRACT_PROJECT_DIALOG, ValideAbstractProjectDialogClass))
#define VALIDE_IS_ABSTRACT_PROJECT_DIALOG(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), VALIDE_TYPE_ABSTRACT_PROJECT_DIALOG))
#define VALIDE_IS_ABSTRACT_PROJECT_DIALOG_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), VALIDE_TYPE_ABSTRACT_PROJECT_DIALOG))
#define VALIDE_ABSTRACT_PROJECT_DIALOG_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), VALIDE_TYPE_ABSTRACT_PROJECT_DIALOG, ValideAbstractProjectDialogClass))

typedef struct _ValideAbstractProjectDialog ValideAbstractProjectDialog;
typedef struct _ValideAbstractProjectDialogClass ValideAbstractProjectDialogClass;
typedef struct _ValideAbstractProjectDialogPrivate ValideAbstractProjectDialogPrivate;

#define VALIDE_ABSTRACT_PROJECT_DIALOG_TYPE_WINDOW_WIDGETS (valide_abstract_project_dialog_window_widgets_get_type ())
#define VALIDE_ABSTRACT_PROJECT_DIALOG_WINDOW_WIDGETS(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), VALIDE_ABSTRACT_PROJECT_DIALOG_TYPE_WINDOW_WIDGETS, ValideAbstractProjectDialogwindow_widgets))
#define VALIDE_ABSTRACT_PROJECT_DIALOG_WINDOW_WIDGETS_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), VALIDE_ABSTRACT_PROJECT_DIALOG_TYPE_WINDOW_WIDGETS, ValideAbstractProjectDialogwindow_widgetsClass))
#define VALIDE_ABSTRACT_PROJECT_DIALOG_IS_WINDOW_WIDGETS(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), VALIDE_ABSTRACT_PROJECT_DIALOG_TYPE_WINDOW_WIDGETS))
#define VALIDE_ABSTRACT_PROJECT_DIALOG_IS_WINDOW_WIDGETS_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), VALIDE_ABSTRACT_PROJECT_DIALOG_TYPE_WINDOW_WIDGETS))
#define VALIDE_ABSTRACT_PROJECT_DIALOG_WINDOW_WIDGETS_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), VALIDE_ABSTRACT_PROJECT_DIALOG_TYPE_WINDOW_WIDGETS, ValideAbstractProjectDialogwindow_widgetsClass))

typedef struct _ValideAbstractProjectDialogwindow_widgets ValideAbstractProjectDialogwindow_widgets;
typedef struct _ValideAbstractProjectDialogwindow_widgetsClass ValideAbstractProjectDialogwindow_widgetsClass;

#define VALIDE_TYPE_PROJECT_DIALOG (valide_project_dialog_get_type ())
#define VALIDE_PROJECT_DIALOG(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), VALIDE_TYPE_PROJECT_DIALOG, ValideProjectDialog))
#define VALIDE_PROJECT_DIALOG_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), VALIDE_TYPE_PROJECT_DIALOG, ValideProjectDialogClass))
#define VALIDE_IS_PROJECT_DIALOG(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), VALIDE_TYPE_PROJECT_DIALOG))
#define VALIDE_IS_PROJECT_DIALOG_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), VALIDE_TYPE_PROJECT_DIALOG))
#define VALIDE_PROJECT_DIALOG_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), VALIDE_TYPE_PROJECT_DIALOG, ValideProjectDialogClass))

typedef struct _ValideProjectDialog ValideProjectDialog;
typedef struct _ValideProjectDialogClass ValideProjectDialogClass;
typedef struct _ValideProjectDialogPrivate ValideProjectDialogPrivate;

#define VALIDE_TYPE_PROJECT_MANAGER (valide_project_manager_get_type ())
#define VALIDE_PROJECT_MANAGER(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), VALIDE_TYPE_PROJECT_MANAGER, ValideProjectManager))
#define VALIDE_PROJECT_MANAGER_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), VALIDE_TYPE_PROJECT_MANAGER, ValideProjectManagerClass))
#define VALIDE_IS_PROJECT_MANAGER(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), VALIDE_TYPE_PROJECT_MANAGER))
#define VALIDE_IS_PROJECT_MANAGER_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), VALIDE_TYPE_PROJECT_MANAGER))
#define VALIDE_PROJECT_MANAGER_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), VALIDE_TYPE_PROJECT_MANAGER, ValideProjectManagerClass))

typedef struct _ValideProjectManager ValideProjectManager;
typedef struct _ValideProjectManagerClass ValideProjectManagerClass;
typedef struct _ValideProjectManagerPrivate ValideProjectManagerPrivate;
typedef struct _ValideProjectPrivate ValideProjectPrivate;

#define VALIDE_TYPE_RECENT_MANAGER_UI (valide_recent_manager_ui_get_type ())
#define VALIDE_RECENT_MANAGER_UI(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), VALIDE_TYPE_RECENT_MANAGER_UI, ValideRecentManagerUI))
#define VALIDE_RECENT_MANAGER_UI_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), VALIDE_TYPE_RECENT_MANAGER_UI, ValideRecentManagerUIClass))
#define VALIDE_IS_RECENT_MANAGER_UI(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), VALIDE_TYPE_RECENT_MANAGER_UI))
#define VALIDE_IS_RECENT_MANAGER_UI_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), VALIDE_TYPE_RECENT_MANAGER_UI))
#define VALIDE_RECENT_MANAGER_UI_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), VALIDE_TYPE_RECENT_MANAGER_UI, ValideRecentManagerUIClass))

typedef struct _ValideRecentManagerUI ValideRecentManagerUI;
typedef struct _ValideRecentManagerUIClass ValideRecentManagerUIClass;
typedef struct _ValideRecentManagerUIPrivate ValideRecentManagerUIPrivate;

#define VALIDE_TYPE_SEARCHING (valide_searching_get_type ())
#define VALIDE_SEARCHING(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), VALIDE_TYPE_SEARCHING, ValideSearching))
#define VALIDE_SEARCHING_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), VALIDE_TYPE_SEARCHING, ValideSearchingClass))
#define VALIDE_IS_SEARCHING(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), VALIDE_TYPE_SEARCHING))
#define VALIDE_IS_SEARCHING_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), VALIDE_TYPE_SEARCHING))
#define VALIDE_SEARCHING_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), VALIDE_TYPE_SEARCHING, ValideSearchingClass))

typedef struct _ValideSearching ValideSearching;
typedef struct _ValideSearchingClass ValideSearchingClass;
typedef struct _ValideSearchingPrivate ValideSearchingPrivate;
typedef struct _ValideSourceBufferPrivate ValideSourceBufferPrivate;
typedef struct _ValideSourceViewPrivate ValideSourceViewPrivate;

#define VALIDE_COMPLETION_TYPE_TRIGGER (valide_completion_trigger_get_type ())
#define VALIDE_COMPLETION_TRIGGER(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), VALIDE_COMPLETION_TYPE_TRIGGER, ValideCompletionTrigger))
#define VALIDE_COMPLETION_IS_TRIGGER(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), VALIDE_COMPLETION_TYPE_TRIGGER))
#define VALIDE_COMPLETION_TRIGGER_GET_INTERFACE(obj) (G_TYPE_INSTANCE_GET_INTERFACE ((obj), VALIDE_COMPLETION_TYPE_TRIGGER, ValideCompletionTriggerIface))

typedef struct _ValideCompletionTrigger ValideCompletionTrigger;
typedef struct _ValideCompletionTriggerIface ValideCompletionTriggerIface;
typedef struct _ValideSplitSourceViewPrivate ValideSplitSourceViewPrivate;

#define VALIDE_TYPE_START_PAGE (valide_start_page_get_type ())
#define VALIDE_START_PAGE(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), VALIDE_TYPE_START_PAGE, ValideStartPage))
#define VALIDE_START_PAGE_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), VALIDE_TYPE_START_PAGE, ValideStartPageClass))
#define VALIDE_IS_START_PAGE(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), VALIDE_TYPE_START_PAGE))
#define VALIDE_IS_START_PAGE_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), VALIDE_TYPE_START_PAGE))
#define VALIDE_START_PAGE_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), VALIDE_TYPE_START_PAGE, ValideStartPageClass))

typedef struct _ValideStartPage ValideStartPage;
typedef struct _ValideStartPageClass ValideStartPageClass;
typedef struct _ValideStartPagePrivate ValideStartPagePrivate;

#define VALIDE_TYPE_STATUSBAR (valide_statusbar_get_type ())
#define VALIDE_STATUSBAR(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), VALIDE_TYPE_STATUSBAR, ValideStatusbar))
#define VALIDE_STATUSBAR_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), VALIDE_TYPE_STATUSBAR, ValideStatusbarClass))
#define VALIDE_IS_STATUSBAR(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), VALIDE_TYPE_STATUSBAR))
#define VALIDE_IS_STATUSBAR_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), VALIDE_TYPE_STATUSBAR))
#define VALIDE_STATUSBAR_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), VALIDE_TYPE_STATUSBAR, ValideStatusbarClass))

typedef struct _ValideStatusbar ValideStatusbar;
typedef struct _ValideStatusbarClass ValideStatusbarClass;
typedef struct _ValideStatusbarPrivate ValideStatusbarPrivate;

#define VALIDE_TYPE_TEMPLATE_MANAGER (valide_template_manager_get_type ())
#define VALIDE_TEMPLATE_MANAGER(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), VALIDE_TYPE_TEMPLATE_MANAGER, ValideTemplateManager))
#define VALIDE_TEMPLATE_MANAGER_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), VALIDE_TYPE_TEMPLATE_MANAGER, ValideTemplateManagerClass))
#define VALIDE_IS_TEMPLATE_MANAGER(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), VALIDE_TYPE_TEMPLATE_MANAGER))
#define VALIDE_IS_TEMPLATE_MANAGER_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), VALIDE_TYPE_TEMPLATE_MANAGER))
#define VALIDE_TEMPLATE_MANAGER_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), VALIDE_TYPE_TEMPLATE_MANAGER, ValideTemplateManagerClass))

typedef struct _ValideTemplateManager ValideTemplateManager;
typedef struct _ValideTemplateManagerClass ValideTemplateManagerClass;
typedef struct _ValideTemplateManagerPrivate ValideTemplateManagerPrivate;

#define VALIDE_TYPE_TEMPLATE (valide_template_get_type ())
#define VALIDE_TEMPLATE(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), VALIDE_TYPE_TEMPLATE, ValideTemplate))
#define VALIDE_TEMPLATE_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), VALIDE_TYPE_TEMPLATE, ValideTemplateClass))
#define VALIDE_IS_TEMPLATE(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), VALIDE_TYPE_TEMPLATE))
#define VALIDE_IS_TEMPLATE_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), VALIDE_TYPE_TEMPLATE))
#define VALIDE_TEMPLATE_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), VALIDE_TYPE_TEMPLATE, ValideTemplateClass))

typedef struct _ValideTemplate ValideTemplate;
typedef struct _ValideTemplateClass ValideTemplateClass;
typedef struct _ValideTemplatePrivate ValideTemplatePrivate;
typedef struct _ValideUIManagerPrivate ValideUIManagerPrivate;

#define VALIDE_TYPE_UTILS (valide_utils_get_type ())
#define VALIDE_UTILS(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), VALIDE_TYPE_UTILS, ValideUtils))
#define VALIDE_UTILS_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), VALIDE_TYPE_UTILS, ValideUtilsClass))
#define VALIDE_IS_UTILS(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), VALIDE_TYPE_UTILS))
#define VALIDE_IS_UTILS_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), VALIDE_TYPE_UTILS))
#define VALIDE_UTILS_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), VALIDE_TYPE_UTILS, ValideUtilsClass))

typedef struct _ValideUtils ValideUtils;
typedef struct _ValideUtilsClass ValideUtilsClass;
typedef struct _ValideUtilsPrivate ValideUtilsPrivate;

#define VALIDE_TYPE_VALAC (valide_valac_get_type ())
#define VALIDE_VALAC(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), VALIDE_TYPE_VALAC, ValideValac))
#define VALIDE_VALAC_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), VALIDE_TYPE_VALAC, ValideValacClass))
#define VALIDE_IS_VALAC(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), VALIDE_TYPE_VALAC))
#define VALIDE_IS_VALAC_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), VALIDE_TYPE_VALAC))
#define VALIDE_VALAC_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), VALIDE_TYPE_VALAC, ValideValacClass))

typedef struct _ValideValac ValideValac;
typedef struct _ValideValacClass ValideValacClass;
typedef struct _ValideValacPrivate ValideValacPrivate;
typedef struct _ValideWindowPrivate ValideWindowPrivate;

#define VALIDE_SYMBOLS_TYPE_CACHE (valide_symbols_cache_get_type ())
#define VALIDE_SYMBOLS_CACHE(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), VALIDE_SYMBOLS_TYPE_CACHE, ValideSymbolsCache))
#define VALIDE_SYMBOLS_CACHE_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), VALIDE_SYMBOLS_TYPE_CACHE, ValideSymbolsCacheClass))
#define VALIDE_SYMBOLS_IS_CACHE(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), VALIDE_SYMBOLS_TYPE_CACHE))
#define VALIDE_SYMBOLS_IS_CACHE_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), VALIDE_SYMBOLS_TYPE_CACHE))
#define VALIDE_SYMBOLS_CACHE_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), VALIDE_SYMBOLS_TYPE_CACHE, ValideSymbolsCacheClass))

typedef struct _ValideSymbolsCache ValideSymbolsCache;
typedef struct _ValideSymbolsCacheClass ValideSymbolsCacheClass;

#define VALIDE_COMPLETION_TYPE_MANAGER (valide_completion_manager_get_type ())
#define VALIDE_COMPLETION_MANAGER(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), VALIDE_COMPLETION_TYPE_MANAGER, ValideCompletionManager))
#define VALIDE_COMPLETION_MANAGER_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), VALIDE_COMPLETION_TYPE_MANAGER, ValideCompletionManagerClass))
#define VALIDE_COMPLETION_IS_MANAGER(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), VALIDE_COMPLETION_TYPE_MANAGER))
#define VALIDE_COMPLETION_IS_MANAGER_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), VALIDE_COMPLETION_TYPE_MANAGER))
#define VALIDE_COMPLETION_MANAGER_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), VALIDE_COMPLETION_TYPE_MANAGER, ValideCompletionManagerClass))

typedef struct _ValideCompletionManager ValideCompletionManager;
typedef struct _ValideCompletionManagerClass ValideCompletionManagerClass;

#define VALIDE_COMPLETION_TYPE_CALLTIPS (valide_completion_calltips_get_type ())
#define VALIDE_COMPLETION_CALLTIPS(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), VALIDE_COMPLETION_TYPE_CALLTIPS, ValideCompletionCalltips))
#define VALIDE_COMPLETION_CALLTIPS_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), VALIDE_COMPLETION_TYPE_CALLTIPS, ValideCompletionCalltipsClass))
#define VALIDE_COMPLETION_IS_CALLTIPS(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), VALIDE_COMPLETION_TYPE_CALLTIPS))
#define VALIDE_COMPLETION_IS_CALLTIPS_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), VALIDE_COMPLETION_TYPE_CALLTIPS))
#define VALIDE_COMPLETION_CALLTIPS_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), VALIDE_COMPLETION_TYPE_CALLTIPS, ValideCompletionCalltipsClass))

typedef struct _ValideCompletionCalltips ValideCompletionCalltips;
typedef struct _ValideCompletionCalltipsClass ValideCompletionCalltipsClass;
typedef struct _ValideCompletionCalltipsPrivate ValideCompletionCalltipsPrivate;
typedef struct _ValideCompletionManagerPrivate ValideCompletionManagerPrivate;

#define VALIDE_COMPLETION_TYPE_PROVIDER (valide_completion_provider_get_type ())
#define VALIDE_COMPLETION_PROVIDER(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), VALIDE_COMPLETION_TYPE_PROVIDER, ValideCompletionProvider))
#define VALIDE_COMPLETION_IS_PROVIDER(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), VALIDE_COMPLETION_TYPE_PROVIDER))
#define VALIDE_COMPLETION_PROVIDER_GET_INTERFACE(obj) (G_TYPE_INSTANCE_GET_INTERFACE ((obj), VALIDE_COMPLETION_TYPE_PROVIDER, ValideCompletionProviderIface))

typedef struct _ValideCompletionProvider ValideCompletionProvider;
typedef struct _ValideCompletionProviderIface ValideCompletionProviderIface;

#define VALIDE_COMPLETION_TYPE_PROPOSAL (valide_completion_proposal_get_type ())
#define VALIDE_COMPLETION_PROPOSAL(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), VALIDE_COMPLETION_TYPE_PROPOSAL, ValideCompletionProposal))
#define VALIDE_COMPLETION_PROPOSAL_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), VALIDE_COMPLETION_TYPE_PROPOSAL, ValideCompletionProposalClass))
#define VALIDE_COMPLETION_IS_PROPOSAL(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), VALIDE_COMPLETION_TYPE_PROPOSAL))
#define VALIDE_COMPLETION_IS_PROPOSAL_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), VALIDE_COMPLETION_TYPE_PROPOSAL))
#define VALIDE_COMPLETION_PROPOSAL_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), VALIDE_COMPLETION_TYPE_PROPOSAL, ValideCompletionProposalClass))

typedef struct _ValideCompletionProposal ValideCompletionProposal;
typedef struct _ValideCompletionProposalClass ValideCompletionProposalClass;

#define VALIDE_COMPLETION_TYPE_POPUP (valide_completion_popup_get_type ())
#define VALIDE_COMPLETION_POPUP(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), VALIDE_COMPLETION_TYPE_POPUP, ValideCompletionPopup))
#define VALIDE_COMPLETION_POPUP_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), VALIDE_COMPLETION_TYPE_POPUP, ValideCompletionPopupClass))
#define VALIDE_COMPLETION_IS_POPUP(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), VALIDE_COMPLETION_TYPE_POPUP))
#define VALIDE_COMPLETION_IS_POPUP_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), VALIDE_COMPLETION_TYPE_POPUP))
#define VALIDE_COMPLETION_POPUP_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), VALIDE_COMPLETION_TYPE_POPUP, ValideCompletionPopupClass))

typedef struct _ValideCompletionPopup ValideCompletionPopup;
typedef struct _ValideCompletionPopupClass ValideCompletionPopupClass;
typedef struct _ValideCompletionPopupPrivate ValideCompletionPopupPrivate;
typedef struct _ValideCompletionProposalPrivate ValideCompletionProposalPrivate;

#define VALIDE_COMPLETION_TYPE_TREE (valide_completion_tree_get_type ())
#define VALIDE_COMPLETION_TREE(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), VALIDE_COMPLETION_TYPE_TREE, ValideCompletionTree))
#define VALIDE_COMPLETION_TREE_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), VALIDE_COMPLETION_TYPE_TREE, ValideCompletionTreeClass))
#define VALIDE_COMPLETION_IS_TREE(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), VALIDE_COMPLETION_TYPE_TREE))
#define VALIDE_COMPLETION_IS_TREE_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), VALIDE_COMPLETION_TYPE_TREE))
#define VALIDE_COMPLETION_TREE_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), VALIDE_COMPLETION_TYPE_TREE, ValideCompletionTreeClass))

typedef struct _ValideCompletionTree ValideCompletionTree;
typedef struct _ValideCompletionTreeClass ValideCompletionTreeClass;
typedef struct _ValideCompletionTreePrivate ValideCompletionTreePrivate;

#define VALIDE_SYMBOLS_TYPE_OBJECT (valide_symbols_object_get_type ())
#define VALIDE_SYMBOLS_OBJECT(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), VALIDE_SYMBOLS_TYPE_OBJECT, ValideSymbolsObject))
#define VALIDE_SYMBOLS_OBJECT_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), VALIDE_SYMBOLS_TYPE_OBJECT, ValideSymbolsObjectClass))
#define VALIDE_SYMBOLS_IS_OBJECT(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), VALIDE_SYMBOLS_TYPE_OBJECT))
#define VALIDE_SYMBOLS_IS_OBJECT_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), VALIDE_SYMBOLS_TYPE_OBJECT))
#define VALIDE_SYMBOLS_OBJECT_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), VALIDE_SYMBOLS_TYPE_OBJECT, ValideSymbolsObjectClass))

typedef struct _ValideSymbolsObject ValideSymbolsObject;
typedef struct _ValideSymbolsObjectClass ValideSymbolsObjectClass;
typedef struct _ValideSymbolsObjectPrivate ValideSymbolsObjectPrivate;

#define VALIDE_SYMBOLS_TYPE_ACCESS (valide_symbols_access_get_type ())
#define VALIDE_SYMBOLS_ACCESS(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), VALIDE_SYMBOLS_TYPE_ACCESS, ValideSymbolsAccess))
#define VALIDE_SYMBOLS_ACCESS_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), VALIDE_SYMBOLS_TYPE_ACCESS, ValideSymbolsAccessClass))
#define VALIDE_SYMBOLS_IS_ACCESS(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), VALIDE_SYMBOLS_TYPE_ACCESS))
#define VALIDE_SYMBOLS_IS_ACCESS_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), VALIDE_SYMBOLS_TYPE_ACCESS))
#define VALIDE_SYMBOLS_ACCESS_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), VALIDE_SYMBOLS_TYPE_ACCESS, ValideSymbolsAccessClass))

typedef struct _ValideSymbolsAccess ValideSymbolsAccess;
typedef struct _ValideSymbolsAccessClass ValideSymbolsAccessClass;
typedef struct _ValideSymbolsAccessPrivate ValideSymbolsAccessPrivate;

#define VALIDE_SYMBOLS_TYPE_SORT_TYPE (valide_symbols_sort_type_get_type ())

#define VALIDE_SYMBOLS_TYPE_CACHE_PREFERENCES (valide_symbols_cache_preferences_get_type ())
#define VALIDE_SYMBOLS_CACHE_PREFERENCES(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), VALIDE_SYMBOLS_TYPE_CACHE_PREFERENCES, ValideSymbolsCachePreferences))
#define VALIDE_SYMBOLS_CACHE_PREFERENCES_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), VALIDE_SYMBOLS_TYPE_CACHE_PREFERENCES, ValideSymbolsCachePreferencesClass))
#define VALIDE_SYMBOLS_IS_CACHE_PREFERENCES(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), VALIDE_SYMBOLS_TYPE_CACHE_PREFERENCES))
#define VALIDE_SYMBOLS_IS_CACHE_PREFERENCES_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), VALIDE_SYMBOLS_TYPE_CACHE_PREFERENCES))
#define VALIDE_SYMBOLS_CACHE_PREFERENCES_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), VALIDE_SYMBOLS_TYPE_CACHE_PREFERENCES, ValideSymbolsCachePreferencesClass))

typedef struct _ValideSymbolsCachePreferences ValideSymbolsCachePreferences;
typedef struct _ValideSymbolsCachePreferencesClass ValideSymbolsCachePreferencesClass;
typedef struct _ValideSymbolsCachePreferencesPrivate ValideSymbolsCachePreferencesPrivate;
typedef struct _ValideSymbolsCachePrivate ValideSymbolsCachePrivate;

#define VALIDE_SYMBOLS_TYPE_SYMBOL (valide_symbols_symbol_get_type ())
#define VALIDE_SYMBOLS_SYMBOL(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), VALIDE_SYMBOLS_TYPE_SYMBOL, ValideSymbolsSymbol))
#define VALIDE_SYMBOLS_SYMBOL_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), VALIDE_SYMBOLS_TYPE_SYMBOL, ValideSymbolsSymbolClass))
#define VALIDE_SYMBOLS_IS_SYMBOL(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), VALIDE_SYMBOLS_TYPE_SYMBOL))
#define VALIDE_SYMBOLS_IS_SYMBOL_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), VALIDE_SYMBOLS_TYPE_SYMBOL))
#define VALIDE_SYMBOLS_SYMBOL_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), VALIDE_SYMBOLS_TYPE_SYMBOL, ValideSymbolsSymbolClass))

typedef struct _ValideSymbolsSymbol ValideSymbolsSymbol;
typedef struct _ValideSymbolsSymbolClass ValideSymbolsSymbolClass;

#define VALIDE_SYMBOLS_TYPE_ENGINE (valide_symbols_engine_get_type ())
#define VALIDE_SYMBOLS_ENGINE(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), VALIDE_SYMBOLS_TYPE_ENGINE, ValideSymbolsEngine))
#define VALIDE_SYMBOLS_ENGINE_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), VALIDE_SYMBOLS_TYPE_ENGINE, ValideSymbolsEngineClass))
#define VALIDE_SYMBOLS_IS_ENGINE(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), VALIDE_SYMBOLS_TYPE_ENGINE))
#define VALIDE_SYMBOLS_IS_ENGINE_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), VALIDE_SYMBOLS_TYPE_ENGINE))
#define VALIDE_SYMBOLS_ENGINE_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), VALIDE_SYMBOLS_TYPE_ENGINE, ValideSymbolsEngineClass))

typedef struct _ValideSymbolsEngine ValideSymbolsEngine;
typedef struct _ValideSymbolsEngineClass ValideSymbolsEngineClass;
typedef struct _ValideSymbolsEnginePrivate ValideSymbolsEnginePrivate;

#define VALIDE_SYMBOLS_TYPE_FILE (valide_symbols_file_get_type ())
#define VALIDE_SYMBOLS_FILE(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), VALIDE_SYMBOLS_TYPE_FILE, ValideSymbolsFile))
#define VALIDE_SYMBOLS_FILE_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), VALIDE_SYMBOLS_TYPE_FILE, ValideSymbolsFileClass))
#define VALIDE_SYMBOLS_IS_FILE(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), VALIDE_SYMBOLS_TYPE_FILE))
#define VALIDE_SYMBOLS_IS_FILE_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), VALIDE_SYMBOLS_TYPE_FILE))
#define VALIDE_SYMBOLS_FILE_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), VALIDE_SYMBOLS_TYPE_FILE, ValideSymbolsFileClass))

typedef struct _ValideSymbolsFile ValideSymbolsFile;
typedef struct _ValideSymbolsFileClass ValideSymbolsFileClass;
typedef struct _ValideSymbolsFilePrivate ValideSymbolsFilePrivate;

#define VALIDE_SYMBOLS_TYPE_LANGUAGE (valide_symbols_language_get_type ())
#define VALIDE_SYMBOLS_LANGUAGE(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), VALIDE_SYMBOLS_TYPE_LANGUAGE, ValideSymbolsLanguage))
#define VALIDE_SYMBOLS_LANGUAGE_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), VALIDE_SYMBOLS_TYPE_LANGUAGE, ValideSymbolsLanguageClass))
#define VALIDE_SYMBOLS_IS_LANGUAGE(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), VALIDE_SYMBOLS_TYPE_LANGUAGE))
#define VALIDE_SYMBOLS_IS_LANGUAGE_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), VALIDE_SYMBOLS_TYPE_LANGUAGE))
#define VALIDE_SYMBOLS_LANGUAGE_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), VALIDE_SYMBOLS_TYPE_LANGUAGE, ValideSymbolsLanguageClass))

typedef struct _ValideSymbolsLanguage ValideSymbolsLanguage;
typedef struct _ValideSymbolsLanguageClass ValideSymbolsLanguageClass;

#define VALIDE_SYMBOLS_TYPE_HERITAGE (valide_symbols_heritage_get_type ())
#define VALIDE_SYMBOLS_HERITAGE(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), VALIDE_SYMBOLS_TYPE_HERITAGE, ValideSymbolsHeritage))
#define VALIDE_SYMBOLS_HERITAGE_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), VALIDE_SYMBOLS_TYPE_HERITAGE, ValideSymbolsHeritageClass))
#define VALIDE_SYMBOLS_IS_HERITAGE(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), VALIDE_SYMBOLS_TYPE_HERITAGE))
#define VALIDE_SYMBOLS_IS_HERITAGE_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), VALIDE_SYMBOLS_TYPE_HERITAGE))
#define VALIDE_SYMBOLS_HERITAGE_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), VALIDE_SYMBOLS_TYPE_HERITAGE, ValideSymbolsHeritageClass))

typedef struct _ValideSymbolsHeritage ValideSymbolsHeritage;
typedef struct _ValideSymbolsHeritageClass ValideSymbolsHeritageClass;
typedef struct _ValideSymbolsHeritagePrivate ValideSymbolsHeritagePrivate;

#define VALIDE_SYMBOLS_TYPE_IMPLEMENTATION (valide_symbols_implementation_get_type ())
#define VALIDE_SYMBOLS_IMPLEMENTATION(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), VALIDE_SYMBOLS_TYPE_IMPLEMENTATION, ValideSymbolsImplementation))
#define VALIDE_SYMBOLS_IMPLEMENTATION_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), VALIDE_SYMBOLS_TYPE_IMPLEMENTATION, ValideSymbolsImplementationClass))
#define VALIDE_SYMBOLS_IS_IMPLEMENTATION(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), VALIDE_SYMBOLS_TYPE_IMPLEMENTATION))
#define VALIDE_SYMBOLS_IS_IMPLEMENTATION_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), VALIDE_SYMBOLS_TYPE_IMPLEMENTATION))
#define VALIDE_SYMBOLS_IMPLEMENTATION_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), VALIDE_SYMBOLS_TYPE_IMPLEMENTATION, ValideSymbolsImplementationClass))

typedef struct _ValideSymbolsImplementation ValideSymbolsImplementation;
typedef struct _ValideSymbolsImplementationClass ValideSymbolsImplementationClass;
typedef struct _ValideSymbolsImplementationPrivate ValideSymbolsImplementationPrivate;

#define VALIDE_SYMBOLS_TYPE_KIND (valide_symbols_kind_get_type ())
#define VALIDE_SYMBOLS_KIND(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), VALIDE_SYMBOLS_TYPE_KIND, ValideSymbolsKind))
#define VALIDE_SYMBOLS_KIND_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), VALIDE_SYMBOLS_TYPE_KIND, ValideSymbolsKindClass))
#define VALIDE_SYMBOLS_IS_KIND(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), VALIDE_SYMBOLS_TYPE_KIND))
#define VALIDE_SYMBOLS_IS_KIND_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), VALIDE_SYMBOLS_TYPE_KIND))
#define VALIDE_SYMBOLS_KIND_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), VALIDE_SYMBOLS_TYPE_KIND, ValideSymbolsKindClass))

typedef struct _ValideSymbolsKind ValideSymbolsKind;
typedef struct _ValideSymbolsKindClass ValideSymbolsKindClass;
typedef struct _ValideSymbolsKindPrivate ValideSymbolsKindPrivate;
typedef struct _ValideSymbolsLanguagePrivate ValideSymbolsLanguagePrivate;

#define VALIDE_SYMBOLS_TYPE_PARSER (valide_symbols_parser_get_type ())
#define VALIDE_SYMBOLS_PARSER(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), VALIDE_SYMBOLS_TYPE_PARSER, ValideSymbolsParser))
#define VALIDE_SYMBOLS_PARSER_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), VALIDE_SYMBOLS_TYPE_PARSER, ValideSymbolsParserClass))
#define VALIDE_SYMBOLS_IS_PARSER(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), VALIDE_SYMBOLS_TYPE_PARSER))
#define VALIDE_SYMBOLS_IS_PARSER_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), VALIDE_SYMBOLS_TYPE_PARSER))
#define VALIDE_SYMBOLS_PARSER_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), VALIDE_SYMBOLS_TYPE_PARSER, ValideSymbolsParserClass))

typedef struct _ValideSymbolsParser ValideSymbolsParser;
typedef struct _ValideSymbolsParserClass ValideSymbolsParserClass;
typedef struct _ValideSymbolsParserPrivate ValideSymbolsParserPrivate;
typedef struct _ValideSymbolsSymbolPrivate ValideSymbolsSymbolPrivate;
typedef struct _ValideAbstractCloseDialogwindow_widgetsPrivate ValideAbstractCloseDialogwindow_widgetsPrivate;

#define VALIDE_ABSTRACT_CLOSE_DIALOG_TYPE_WINDOW_WIDGET_NAMES (valide_abstract_close_dialog_window_widget_names_get_type ())
typedef struct _ValideAbstractCloseDialogwindow_widget_names ValideAbstractCloseDialogwindow_widget_names;
typedef struct _ValideAbstractPreferencesDialogwindow_widgetsPrivate ValideAbstractPreferencesDialogwindow_widgetsPrivate;

#define VALIDE_ABSTRACT_PREFERENCES_DIALOG_TYPE_WINDOW_WIDGET_NAMES (valide_abstract_preferences_dialog_window_widget_names_get_type ())
typedef struct _ValideAbstractPreferencesDialogwindow_widget_names ValideAbstractPreferencesDialogwindow_widget_names;
typedef struct _ValideAbstractProjectDialogOptionswindow_widgetsPrivate ValideAbstractProjectDialogOptionswindow_widgetsPrivate;

#define VALIDE_ABSTRACT_PROJECT_DIALOG_OPTIONS_TYPE_WINDOW_WIDGET_NAMES (valide_abstract_project_dialog_options_window_widget_names_get_type ())
typedef struct _ValideAbstractProjectDialogOptionswindow_widget_names ValideAbstractProjectDialogOptionswindow_widget_names;
typedef struct _ValideAbstractProjectDialogRemovewindow_widgetsPrivate ValideAbstractProjectDialogRemovewindow_widgetsPrivate;

#define VALIDE_ABSTRACT_PROJECT_DIALOG_REMOVE_TYPE_WINDOW_WIDGET_NAMES (valide_abstract_project_dialog_remove_window_widget_names_get_type ())
typedef struct _ValideAbstractProjectDialogRemovewindow_widget_names ValideAbstractProjectDialogRemovewindow_widget_names;
typedef struct _ValideAbstractProjectDialogwindow_widgetsPrivate ValideAbstractProjectDialogwindow_widgetsPrivate;

#define VALIDE_ABSTRACT_PROJECT_DIALOG_TYPE_WINDOW_WIDGET_NAMES (valide_abstract_project_dialog_window_widget_names_get_type ())
typedef struct _ValideAbstractProjectDialogwindow_widget_names ValideAbstractProjectDialogwindow_widget_names;

/**
 * The about dialog box
 */
struct _ValideAboutDialog {
	GtkAboutDialog parent_instance;
	ValideAboutDialogPrivate * priv;
};

struct _ValideAboutDialogClass {
	GtkAboutDialogClass parent_class;
};

/**
 * Abstract class for manage configation files.
 */
struct _ValideAbstractConfigManager {
	GObject parent_instance;
	ValideAbstractConfigManagerPrivate * priv;
};

struct _ValideAbstractConfigManagerClass {
	GObjectClass parent_class;
	void (*preferences) (ValideAbstractConfigManager* self, ValideWindow* window);
	void (*first_run) (ValideAbstractConfigManager* self);
	char* (*get_config_file) (ValideAbstractConfigManager* self);
};

typedef enum  {
	VALIDE_DOCUMENT_STATE_NORMAL,
	VALIDE_DOCUMENT_STATE_EXTERNALLY_MODIFIED,
	VALIDE_DOCUMENT_STATE_BAD_ENCODING,
	VALIDE_DOCUMENT_STATE_INFO
} ValideDocumentState;

/**
 * An interface for document
 */
struct _ValideiDocumentIface {
	GTypeInterface parent_iface;
	void (*open) (ValideiDocument* self, const char* path, GError** error);
	void (*save) (ValideiDocument* self, const char* current_folder);
	void (*save_as) (ValideiDocument* self, const char* current_folder);
	void (*rename) (ValideiDocument* self);
	gboolean (*close) (ValideiDocument* self);
	void (*redo) (ValideiDocument* self);
	void (*search) (ValideiDocument* self);
	void (*find_next) (ValideiDocument* self);
	void (*find_prev) (ValideiDocument* self);
	void (*replace) (ValideiDocument* self);
	gboolean (*goto_line) (ValideiDocument* self, gint line);
	GdkPixbuf* (*get_icon) (ValideiDocument* self);
	char* (*get_tooltips) (ValideiDocument* self);
	void (*setup_ui) (ValideiDocument* self, ValideUIManager* ui_manager);
	ValideDocumentState (*get_state) (ValideiDocument* self);
	void (*set_state) (ValideiDocument* self, ValideDocumentState value);
	gboolean (*get_is_save) (ValideiDocument* self);
	void (*set_is_save) (ValideiDocument* self, gboolean value);
	char* (*get_path) (ValideiDocument* self);
	void (*set_path) (ValideiDocument* self, const char* value);
	char* (*get_title) (ValideiDocument* self);
	char* (*get_filename) (ValideiDocument* self);
};

/**
 * The base class for text document
 */
struct _ValideAbstractTextDocument {
	GtkVBox parent_instance;
	ValideAbstractTextDocumentPrivate * priv;
	ValideSplitSourceView* split_view;
};

struct _ValideAbstractTextDocumentClass {
	GtkVBoxClass parent_class;
	ValideSplitSourceView* (*create_source_view) (ValideAbstractTextDocument* self);
	char* (*get_contents) (ValideAbstractTextDocument* self, GError** error);
	void (*set_contents) (ValideAbstractTextDocument* self, const char* new_path, GError** error);
	GdkPixbuf* (*get_icon) (ValideAbstractTextDocument* self);
	char* (*get_tooltips) (ValideAbstractTextDocument* self);
};

/**
 * A class for represente a rectangular position
 */
struct _ValidePosition {
	gint start_line;
	gint end_line;
	gint start_row;
	gint end_row;
};

/**
 * A class representing an program can launch by #ExecutableManager.
 */
struct _ValideExecutable {
	GObject parent_instance;
	ValideExecutablePrivate * priv;
};

struct _ValideExecutableClass {
	GObjectClass parent_class;
	GdkColor (*get_color_line) (ValideExecutable* self, const char* line);
	void (*line_activated) (ValideExecutable* self, const char* line);
	char* (*get_start_msg) (ValideExecutable* self);
	char* (*get_end_msg) (ValideExecutable* self);
	char* (*get_working_directory) (ValideExecutable* self);
	char* (*get_executable) (ValideExecutable* self);
	void (*set_executable) (ValideExecutable* self, char* value);
};

/**
 * The vala compiler
 */
struct _ValideCompiler {
	ValideExecutable parent_instance;
	ValideCompilerPrivate * priv;
};

struct _ValideCompilerClass {
	ValideExecutableClass parent_class;
};

/**
 * Class for manage the configuration file
 */
struct _ValideConfigManager {
	ValideAbstractConfigManager parent_instance;
	ValideConfigManagerPrivate * priv;
};

struct _ValideConfigManagerClass {
	ValideAbstractConfigManagerClass parent_class;
};

struct _ValideAbstractCloseDialog {
	GtkObject parent_instance;
	ValideAbstractCloseDialogPrivate * priv;
	char* namespace;
	GtkBuilder* xml;
	ValideAbstractCloseDialogwindow_widgets* widgets;
};

struct _ValideAbstractCloseDialogClass {
	GtkObjectClass parent_class;
};

/**
 * DocumentCloseDialog is a dialog box that displays the unsaved document when
 * close all or close the main window
 */
struct _ValideDocumentCloseDialog {
	ValideAbstractCloseDialog parent_instance;
	ValideDocumentCloseDialogPrivate * priv;
};

struct _ValideDocumentCloseDialogClass {
	ValideAbstractCloseDialogClass parent_class;
};

typedef enum  {
	VALIDE_DOCUMENT_ERROR_UNKNOW_DOCUMENT,
	VALIDE_DOCUMENT_ERROR_BAD_URI,
	VALIDE_DOCUMENT_ERROR_NO_DOCUMENT,
	VALIDE_DOCUMENT_ERROR_MIME
} ValideDocumentError;
#define VALIDE_DOCUMENT_ERROR valide_document_error_quark ()
/**
 * The manager for opened documents
 */
struct _ValideDocumentManager {
	GtkNotebook parent_instance;
	ValideDocumentManagerPrivate * priv;
};

struct _ValideDocumentManagerClass {
	GtkNotebookClass parent_class;
	void (*setup_ui) (ValideDocumentManager* self);
	ValideAbstractTextDocument* (*create_document) (ValideDocumentManager* self, const char* filename, GError** error);
};

typedef enum  {
	VALIDE_PROJECT_ERROR_NO_PROJECT,
	VALIDE_PROJECT_ERROR_MAX_OPEN
} ValideProjectError;
#define VALIDE_PROJECT_ERROR valide_project_error_quark ()
/**
 * A message widget for Valide.AbstractTextDocument
 */
struct _ValideDocumentMessage {
	GtkHBox parent_instance;
	ValideDocumentMessagePrivate * priv;
};

struct _ValideDocumentMessageClass {
	GtkHBoxClass parent_class;
};

/**
 * A text document
 */
struct _ValideTxtDocument {
	ValideAbstractTextDocument parent_instance;
	ValideTxtDocumentPrivate * priv;
};

struct _ValideTxtDocumentClass {
	ValideAbstractTextDocumentClass parent_class;
};

/**
 * A genie document
 */
struct _ValideGsDocument {
	ValideTxtDocument parent_instance;
	ValideGsDocumentPrivate * priv;
};

struct _ValideGsDocumentClass {
	ValideTxtDocumentClass parent_class;
};

/**
 * A vala document
 */
struct _ValideValaDocument {
	ValideTxtDocument parent_instance;
	ValideValaDocumentPrivate * priv;
};

struct _ValideValaDocumentClass {
	ValideTxtDocumentClass parent_class;
};

/**
 * A vapi document
 */
struct _ValideVapiDocument {
	ValideValaDocument parent_instance;
	ValideVapiDocumentPrivate * priv;
};

struct _ValideVapiDocumentClass {
	ValideValaDocumentClass parent_class;
};

/**
 * A XML document
 */
struct _ValideXmlDocument {
	ValideTxtDocument parent_instance;
	ValideXmlDocumentPrivate * priv;
};

struct _ValideXmlDocumentClass {
	ValideTxtDocumentClass parent_class;
};

/**
 * A glade document
 */
struct _ValideGladeDocument {
	ValideXmlDocument parent_instance;
	ValideGladeDocumentPrivate * priv;
};

struct _ValideGladeDocumentClass {
	ValideXmlDocumentClass parent_class;
};

/**
 * A GTK UI document
 */
struct _ValideUiDocument {
	ValideXmlDocument parent_instance;
	ValideUiDocumentPrivate * priv;
};

struct _ValideUiDocumentClass {
	ValideXmlDocumentClass parent_class;
};

/**
 * A class for manager the file encoding
 */
struct _ValideEncoding {
	GObject parent_instance;
	ValideEncodingPrivate * priv;
};

struct _ValideEncodingClass {
	GObjectClass parent_class;
};

typedef enum  {
	VALIDE_EXECUTABLE_ERROR_NO_EXECUTABLE
} ValideExecutableError;
#define VALIDE_EXECUTABLE_ERROR valide_executable_error_quark ()
/**
 * Manager for launch external programs
 */
struct _ValideExecutableManager {
	GtkHBox parent_instance;
	ValideExecutableManagerPrivate * priv;
};

struct _ValideExecutableManagerClass {
	GtkHBoxClass parent_class;
};

/**
 * A goto dialog widget for Valide.AbstractTextDocument
 */
struct _ValideGotoDialog {
	GtkWindow parent_instance;
	ValideGotoDialogPrivate * priv;
};

struct _ValideGotoDialogClass {
	GtkWindowClass parent_class;
};

/**
 * Class for manipulate XML files
 */
struct _ValideMarkup {
	GTypeInstance parent_instance;
	volatile int ref_count;
	ValideMarkupPrivate * priv;
};

struct _ValideMarkupClass {
	GTypeClass parent_class;
	void (*finalize) (ValideMarkup *self);
};

/**
 * A side or bottom panel widget
 */
struct _ValidePanel {
	GtkVBox parent_instance;
	ValidePanelPrivate * priv;
};

struct _ValidePanelClass {
	GtkVBoxClass parent_class;
	void (*close) (ValidePanel* self);
};

/**
 * The plugin manager
 */
struct _ValidePluginManager {
	GObject parent_instance;
	ValidePluginManagerPrivate * priv;
	GList* plugins;
};

struct _ValidePluginManagerClass {
	GObjectClass parent_class;
};

/**
 * The widget for plugin preferences
 */
struct _ValidePluginPreferences {
	GtkVBox parent_instance;
	ValidePluginPreferencesPrivate * priv;
};

struct _ValidePluginPreferencesClass {
	GtkVBoxClass parent_class;
};

/**
 * This class represents a registered plugin
 */
struct _ValidePluginRegistrar {
	GObject parent_instance;
	ValidePluginRegistrarPrivate * priv;
	char** authors;
	gint authors_length1;
};

struct _ValidePluginRegistrarClass {
	GObjectClass parent_class;
};

/**
 * Interface for create a plugin
 */
struct _ValidePluginIface {
	GTypeInterface parent_iface;
	char* (*get_path) (ValidePlugin* self);
	void (*set_path) (ValidePlugin* self, const char* value);
	ValideWindow* (*get_window) (ValidePlugin* self);
	void (*set_window) (ValidePlugin* self, ValideWindow* value);
};

struct _ValideAbstractPreferencesDialog {
	GtkObject parent_instance;
	ValideAbstractPreferencesDialogPrivate * priv;
	char* namespace;
	GtkBuilder* xml;
	ValideAbstractPreferencesDialogwindow_widgets* widgets;
};

struct _ValideAbstractPreferencesDialogClass {
	GtkObjectClass parent_class;
};

/* @todo set_smart_home_end 
*
 * The preferences dialog box
 */
struct _ValidePreferencesDialog {
	ValideAbstractPreferencesDialog parent_instance;
	ValidePreferencesDialogPrivate * priv;
};

struct _ValidePreferencesDialogClass {
	ValideAbstractPreferencesDialogClass parent_class;
};

struct _ValideAbstractProjectDialogOptions {
	GtkObject parent_instance;
	ValideAbstractProjectDialogOptionsPrivate * priv;
	char* namespace;
	GtkBuilder* xml;
	ValideAbstractProjectDialogOptionswindow_widgets* widgets;
};

struct _ValideAbstractProjectDialogOptionsClass {
	GtkObjectClass parent_class;
};

/**
 * A dialog box widget for show/edit the option of a project
 */
struct _ValideProjectDialogOptions {
	ValideAbstractProjectDialogOptions parent_instance;
	ValideProjectDialogOptionsPrivate * priv;
};

struct _ValideProjectDialogOptionsClass {
	ValideAbstractProjectDialogOptionsClass parent_class;
};

struct _ValideAbstractProjectDialogRemove {
	GtkObject parent_instance;
	ValideAbstractProjectDialogRemovePrivate * priv;
	char* namespace;
	GtkBuilder* xml;
	ValideAbstractProjectDialogRemovewindow_widgets* widgets;
};

struct _ValideAbstractProjectDialogRemoveClass {
	GtkObjectClass parent_class;
};

/**
 * A dialog box for remove a file from a project
 */
struct _ValideProjectDialogRemove {
	ValideAbstractProjectDialogRemove parent_instance;
	ValideProjectDialogRemovePrivate * priv;
};

struct _ValideProjectDialogRemoveClass {
	ValideAbstractProjectDialogRemoveClass parent_class;
};

struct _ValideAbstractProjectDialog {
	GtkObject parent_instance;
	ValideAbstractProjectDialogPrivate * priv;
	char* namespace;
	GtkBuilder* xml;
	ValideAbstractProjectDialogwindow_widgets* widgets;
};

struct _ValideAbstractProjectDialogClass {
	GtkObjectClass parent_class;
};

/**
 * A dialog box widget for create a new project
 */
struct _ValideProjectDialog {
	ValideAbstractProjectDialog parent_instance;
	ValideProjectDialogPrivate * priv;
};

struct _ValideProjectDialogClass {
	ValideAbstractProjectDialogClass parent_class;
};

/**
 * The project manager
 */
struct _ValideProjectManager {
	GtkScrolledWindow parent_instance;
	ValideProjectManagerPrivate * priv;
};

struct _ValideProjectManagerClass {
	GtkScrolledWindowClass parent_class;
};

/**
 * A class for project
 */
struct _ValideProject {
	GObject parent_instance;
	ValideProjectPrivate * priv;
};

struct _ValideProjectClass {
	GObjectClass parent_class;
};

/**
 * The recent files/projects manager
 */
struct _ValideRecentManagerUI {
	GObject parent_instance;
	ValideRecentManagerUIPrivate * priv;
};

struct _ValideRecentManagerUIClass {
	GObjectClass parent_class;
};

/**
 * A widget for search/replace in a Valide.AbstractTextDocument
 */
struct _ValideSearching {
	GtkVBox parent_instance;
	ValideSearchingPrivate * priv;
};

struct _ValideSearchingClass {
	GtkVBoxClass parent_class;
};

struct _ValideSourceBuffer {
	GtkSourceBuffer parent_instance;
	ValideSourceBufferPrivate * priv;
	char* path;
};

struct _ValideSourceBufferClass {
	GtkSourceBufferClass parent_class;
};

/**
 * A widget for show highlighting text
 */
struct _ValideSourceView {
	GtkSourceView parent_instance;
	ValideSourceViewPrivate * priv;
};

struct _ValideSourceViewClass {
	GtkSourceViewClass parent_class;
};

/**
 * A trigger interface
 */
struct _ValideCompletionTriggerIface {
	GTypeInterface parent_iface;
};

/**
 * A widget with two Valide.SourceView with the same buffer
 */
struct _ValideSplitSourceView {
	GtkVPaned parent_instance;
	ValideSplitSourceViewPrivate * priv;
};

struct _ValideSplitSourceViewClass {
	GtkVPanedClass parent_class;
};

/**
 * The start page widget
 */
struct _ValideStartPage {
	GtkTable parent_instance;
	ValideStartPagePrivate * priv;
};

struct _ValideStartPageClass {
	GtkTableClass parent_class;
};

/*
 * This code is re-writing in the vala language of GeditStatusbar
 *
 * Copyright (C) 2006-2008  Jürg Billeter, Raffaele Sandrini
 * Copyright (C) 2007  Mathias Hasselmann
 
*
 * The status bar
 */
struct _ValideStatusbar {
	GtkStatusbar parent_instance;
	ValideStatusbarPrivate * priv;
};

struct _ValideStatusbarClass {
	GtkStatusbarClass parent_class;
};

/**
 * The template manager
 */
struct _ValideTemplateManager {
	GObject parent_instance;
	ValideTemplateManagerPrivate * priv;
};

struct _ValideTemplateManagerClass {
	GObjectClass parent_class;
};

/**
 * A class representing a template for project
 */
struct _ValideTemplate {
	GObject parent_instance;
	ValideTemplatePrivate * priv;
};

struct _ValideTemplateClass {
	GObjectClass parent_class;
};

/**
 * Class for construct the user interface (menu and toolbar)
 */
struct _ValideUIManager {
	GtkUIManager parent_instance;
	ValideUIManagerPrivate * priv;
};

struct _ValideUIManagerClass {
	GtkUIManagerClass parent_class;
};

/**
 * Miscellaneous functions
 */
struct _ValideUtils {
	GTypeInstance parent_instance;
	volatile int ref_count;
	ValideUtilsPrivate * priv;
};

struct _ValideUtilsClass {
	GTypeClass parent_class;
	void (*finalize) (ValideUtils *self);
};

/* @fixme Use static properties 
*
 * Vala compiler informations
 */
struct _ValideValac {
	GTypeInstance parent_instance;
	volatile int ref_count;
	ValideValacPrivate * priv;
};

struct _ValideValacClass {
	GTypeClass parent_class;
	void (*finalize) (ValideValac *self);
};

/**
 * The main window of the application
 */
struct _ValideWindow {
	GtkWindow parent_instance;
	ValideWindowPrivate * priv;
	guint workspace;
};

struct _ValideWindowClass {
	GtkWindowClass parent_class;
};

/**
 * The completion calltips
 */
struct _ValideCompletionCalltips {
	GtkWindow parent_instance;
	ValideCompletionCalltipsPrivate * priv;
};

struct _ValideCompletionCalltipsClass {
	GtkWindowClass parent_class;
};

/**
 * The completion manager
 */
struct _ValideCompletionManager {
	GObject parent_instance;
	ValideCompletionManagerPrivate * priv;
};

struct _ValideCompletionManagerClass {
	GObjectClass parent_class;
};

/**
 * The completion provider interface
 */
struct _ValideCompletionProviderIface {
	GTypeInterface parent_iface;
	GList* (*get_proposals) (ValideCompletionProvider* self, ValideSourceView* source_view);
};

/**
 * The completion popup
 */
struct _ValideCompletionPopup {
	GtkWindow parent_instance;
	ValideCompletionPopupPrivate * priv;
};

struct _ValideCompletionPopupClass {
	GtkWindowClass parent_class;
};

/**
 * A completion proposal
 */
struct _ValideCompletionProposal {
	GObject parent_instance;
	ValideCompletionProposalPrivate * priv;
};

struct _ValideCompletionProposalClass {
	GObjectClass parent_class;
};

/**
 * The tree view widget for the popup completion
 */
struct _ValideCompletionTree {
	GtkScrolledWindow parent_instance;
	ValideCompletionTreePrivate * priv;
};

struct _ValideCompletionTreeClass {
	GtkScrolledWindowClass parent_class;
};

typedef enum  {
	VALIDE_SYMBOLS_ENGINE_ERROR_BIND,
	VALIDE_SYMBOLS_ENGINE_ERROR_TRANSACTION,
	VALIDE_SYMBOLS_ENGINE_ERROR_PREPARE,
	VALIDE_SYMBOLS_ENGINE_ERROR_EXEC,
	VALIDE_SYMBOLS_ENGINE_ERROR_FILENAME,
	VALIDE_SYMBOLS_ENGINE_ERROR_OPEN
} ValideSymbolsEngineError;
#define VALIDE_SYMBOLS_ENGINE_ERROR valide_symbols_engine_error_quark ()
struct _ValideSymbolsObject {
	GObject parent_instance;
	ValideSymbolsObjectPrivate * priv;
	sqlite3_stmt* add_stmt;
	sqlite3_stmt* exist_stmt;
	sqlite3_stmt* remove_stmt;
	sqlite3_stmt* last_id_stmt;
};

struct _ValideSymbolsObjectClass {
	GObjectClass parent_class;
	void (*bind_exist_stmt) (ValideSymbolsObject* self);
	gint (*add) (ValideSymbolsObject* self, GError** error);
	char* (*get_table_name) (ValideSymbolsObject* self);
	char* (*get_add_query) (ValideSymbolsObject* self);
	char* (*get_exist_query) (ValideSymbolsObject* self);
};

/**
 * Acces type for a symbol
 */
struct _ValideSymbolsAccess {
	ValideSymbolsObject parent_instance;
	ValideSymbolsAccessPrivate * priv;
	char* name;
};

struct _ValideSymbolsAccessClass {
	ValideSymbolsObjectClass parent_class;
};

typedef enum  {
	VALIDE_SYMBOLS_CACHE_ERROR_KIND,
	VALIDE_SYMBOLS_CACHE_ERROR_UNSUPPORTED
} ValideSymbolsCacheError;
#define VALIDE_SYMBOLS_CACHE_ERROR valide_symbols_cache_error_quark ()
typedef enum  {
	VALIDE_SYMBOLS_SORT_TYPE_KIND,
	VALIDE_SYMBOLS_SORT_TYPE_SCOPE
} ValideSymbolsSortType;

struct _ValideSymbolsCachePreferences {
	GtkVBox parent_instance;
	ValideSymbolsCachePreferencesPrivate * priv;
};

struct _ValideSymbolsCachePreferencesClass {
	GtkVBoxClass parent_class;
};

struct _ValideSymbolsCache {
	GObject parent_instance;
	ValideSymbolsCachePrivate * priv;
};

struct _ValideSymbolsCacheClass {
	GObjectClass parent_class;
};

/**
   * Delegate for retrieve the symbol list
   */
typedef gboolean (*ValideSymbolsCacheListSymbolCallback) (ValideSymbolsSymbol* symbol, void* user_data);
/**
   * Delegate for retrieve the cache statistisques
   */
typedef gboolean (*ValideSymbolsCacheStatisticsCallback) (const char* path, gint count, void* user_data);
/**
 * The symbols engine
 */
struct _ValideSymbolsEngine {
	GObject parent_instance;
	ValideSymbolsEnginePrivate * priv;
};

struct _ValideSymbolsEngineClass {
	GObjectClass parent_class;
};

struct _ValideSymbolsFile {
	ValideSymbolsObject parent_instance;
	ValideSymbolsFilePrivate * priv;
	char* path;
	ValideSymbolsLanguage* language;
};

struct _ValideSymbolsFileClass {
	ValideSymbolsObjectClass parent_class;
};

struct _ValideSymbolsHeritage {
	ValideSymbolsObject parent_instance;
	ValideSymbolsHeritagePrivate * priv;
	gint base_id;
	char* derived_name;
};

struct _ValideSymbolsHeritageClass {
	ValideSymbolsObjectClass parent_class;
};

struct _ValideSymbolsImplementation {
	ValideSymbolsObject parent_instance;
	ValideSymbolsImplementationPrivate * priv;
	char* name;
};

struct _ValideSymbolsImplementationClass {
	ValideSymbolsObjectClass parent_class;
};

struct _ValideSymbolsKind {
	ValideSymbolsObject parent_instance;
	ValideSymbolsKindPrivate * priv;
	char* name;
};

struct _ValideSymbolsKindClass {
	ValideSymbolsObjectClass parent_class;
};

struct _ValideSymbolsLanguage {
	ValideSymbolsObject parent_instance;
	ValideSymbolsLanguagePrivate * priv;
	char* name;
};

struct _ValideSymbolsLanguageClass {
	ValideSymbolsObjectClass parent_class;
};

struct _ValideSymbolsParser {
	GTypeInstance parent_instance;
	volatile int ref_count;
	ValideSymbolsParserPrivate * priv;
};

struct _ValideSymbolsParserClass {
	GTypeClass parent_class;
	void (*finalize) (ValideSymbolsParser *self);
};

struct _ValideSymbolsSymbol {
	ValideSymbolsObject parent_instance;
	ValideSymbolsSymbolPrivate * priv;
	char* name;
	char* full_name;
	ValideSymbolsFile* file;
	gint file_position;
	char* signature;
	ValideSymbolsSymbol* root;
	ValideSymbolsKind* kind;
	ValideSymbolsAccess* access;
	ValideSymbolsImplementation* implementation;
	char** inherits;
	gint inherits_length1;
	char* typeref;
};

struct _ValideSymbolsSymbolClass {
	ValideSymbolsObjectClass parent_class;
};

struct _ValideAbstractCloseDialogwindow_widgets {
	GTypeInstance parent_instance;
	volatile int ref_count;
	ValideAbstractCloseDialogwindow_widgetsPrivate * priv;
	GtkListStore* list_store;
	GtkDialog* dialog;
	GtkVBox* dialog_vbox1;
	GtkVBox* vbox1;
	GtkHBox* hbox1;
	GtkImage* image1;
	GtkVBox* vbox2;
	GtkLabel* label;
	GtkLabel* label3;
	GtkTreeView* tree_view;
	GtkLabel* label1;
	GtkHButtonBox* dialog_action_area1;
	GtkButton* button1;
	GtkButton* button2;
	GtkButton* button3;
};

struct _ValideAbstractCloseDialogwindow_widgetsClass {
	GTypeClass parent_class;
	void (*finalize) (ValideAbstractCloseDialogwindow_widgets *self);
};

/* GtkButton button3 */
struct _ValideAbstractCloseDialogwindow_widget_names {
	gint index;
	char* class;
	char* name;
};

struct _ValideAbstractPreferencesDialogwindow_widgets {
	GTypeInstance parent_instance;
	volatile int ref_count;
	ValideAbstractPreferencesDialogwindow_widgetsPrivate * priv;
	GtkDialog* dialog;
	GtkVBox* vbox;
	GtkNotebook* notebook;
	GtkVBox* frame_editor;
	GtkFrame* frame1;
	GtkAlignment* alignment1;
	GtkVBox* vbox1;
	GtkCheckButton* auto_indent;
	GtkCheckButton* insert_spaces_instead_of_tabs;
	GtkCheckButton* indent_on_tab;
	GtkHBox* hbox2;
	GtkLabel* label5;
	GtkSpinButton* tab_width;
	GtkLabel* label3;
	GtkFrame* frame2;
	GtkAlignment* alignment2;
	GtkVBox* vbox2;
	GtkCheckButton* show_right_margin;
	GtkHBox* hbox3;
	GtkLabel* label7;
	GtkSpinButton* right_margin_position;
	GtkLabel* label6;
	GtkFrame* frame4;
	GtkAlignment* alignment4;
	GtkCheckButton* show_line_numbers;
	GtkLabel* label11;
	GtkFrame* frame5;
	GtkAlignment* alignment5;
	GtkCheckButton* highlight_current_line;
	GtkLabel* label12;
	GtkLabel* label1;
	GtkVBox* vbox4;
	GtkFrame* frame3;
	GtkAlignment* alignment3;
	GtkHBox* hbox4;
	GtkLabel* label8;
	GtkFontButton* font;
	GtkLabel* label2;
	GtkFrame* frame6;
	GtkAlignment* alignment6;
	GtkScrolledWindow* scrolledwindow1;
	GtkTreeView* style_scheme;
	GtkLabel* label14;
	GtkLabel* label13;
	GtkVBox* vbox3;
	GtkHBox* hbox5;
	GtkLabel* label10;
	GtkFileChooserButton* default_directory;
	GtkLabel* label9;
	GtkHButtonBox* dialog_action_area1;
	GtkButton* button;
};

struct _ValideAbstractPreferencesDialogwindow_widgetsClass {
	GTypeClass parent_class;
	void (*finalize) (ValideAbstractPreferencesDialogwindow_widgets *self);
};

/* GtkButton button */
struct _ValideAbstractPreferencesDialogwindow_widget_names {
	gint index;
	char* class;
	char* name;
};

struct _ValideAbstractProjectDialogOptionswindow_widgets {
	GTypeInstance parent_instance;
	volatile int ref_count;
	ValideAbstractProjectDialogOptionswindow_widgetsPrivate * priv;
	GtkDialog* dialog;
	GtkVBox* vbox;
	GtkHBox* hbox;
	GtkScrolledWindow* scrolled_window;
	GtkIconView* icon_view;
	GtkNotebook* notebook;
	GtkTable* table1;
	GtkLabel* label7;
	GtkLabel* label8;
	GtkLabel* label9;
	GtkLabel* label10;
	GtkLabel* path;
	GtkEntry* name;
	GtkEntry* author;
	GtkEntry* version;
	GtkLabel* label11;
	GtkLabel* license;
	GtkLabel* label12;
	GtkVBox* frame_general;
	GtkCheckButton* debug;
	GtkCheckButton* thread;
	GtkCheckButton* disable_assert;
	GtkCheckButton* disable_checking;
	GtkCheckButton* disable_non_null;
	GtkCheckButton* save_temps;
	GtkCheckButton* quiet;
	GtkHBox* hbox1;
	GtkLabel* label3;
	GtkEntry* other;
	GtkButton* info_button;
	GtkImage* image3;
	GtkLabel* label1;
	GtkVBox* vbox1;
	GtkFrame* frame_pkg;
	GtkAlignment* alignment1;
	GtkHBox* hbox2;
	GtkScrolledWindow* scrolledwindow1;
	GtkTreeView* tree_view_src;
	GtkVBox* vbox3;
	GtkButton* button_add;
	GtkImage* image1;
	GtkButton* button_del;
	GtkImage* image2;
	GtkScrolledWindow* scrolledwindow2;
	GtkTreeView* tree_view_dst;
	GtkLabel* label4;
	GtkFrame* frame_vapi;
	GtkAlignment* alignment2;
	GtkVBox* vbox4;
	GtkHBox* hbox3;
	GtkFileChooserButton* file_chooser_button;
	GtkButton* button3;
	GtkButton* button4;
	GtkScrolledWindow* scrolledwindow3;
	GtkTreeView* tree_view_vapi;
	GtkLabel* label5;
	GtkLabel* label2;
	GtkHButtonBox* dialog_action_area1;
	GtkButton* button1;
	GtkButton* button2;
};

struct _ValideAbstractProjectDialogOptionswindow_widgetsClass {
	GTypeClass parent_class;
	void (*finalize) (ValideAbstractProjectDialogOptionswindow_widgets *self);
};

/* GtkButton button2 */
struct _ValideAbstractProjectDialogOptionswindow_widget_names {
	gint index;
	char* class;
	char* name;
};

struct _ValideAbstractProjectDialogRemovewindow_widgets {
	GTypeInstance parent_instance;
	volatile int ref_count;
	ValideAbstractProjectDialogRemovewindow_widgetsPrivate * priv;
	GtkDialog* dialog;
	GtkVBox* vbox;
	GtkLabel* label;
	GtkScrolledWindow* scrolled_window;
	GtkTreeView* tree_view;
	GtkHButtonBox* dialog_action_area;
	GtkButton* button1;
	GtkButton* button2;
};

struct _ValideAbstractProjectDialogRemovewindow_widgetsClass {
	GTypeClass parent_class;
	void (*finalize) (ValideAbstractProjectDialogRemovewindow_widgets *self);
};

/* GtkButton button2 */
struct _ValideAbstractProjectDialogRemovewindow_widget_names {
	gint index;
	char* class;
	char* name;
};

struct _ValideAbstractProjectDialogwindow_widgets {
	GTypeInstance parent_instance;
	volatile int ref_count;
	ValideAbstractProjectDialogwindow_widgetsPrivate * priv;
	GtkListStore* model1;
	GtkAssistant* assistant;
	GtkLabel* page1;
	GtkVBox* page2;
	GtkScrolledWindow* scrolledwindow1;
	GtkIconView* icon_view;
	GtkHBox* hbox1;
	GtkLabel* label1;
	GtkComboBox* lang_combo;
	GtkCellRendererText* renderer1;
	GtkFrame* frame1;
	GtkAlignment* alignment1;
	GtkLabel* desc_label;
	GtkLabel* label4;
	GtkScrolledWindow* page3;
	GtkViewport* viewport1;
	GtkTable* table1;
	GtkLabel* label2;
	GtkLabel* label3;
	GtkLabel* label6;
	GtkEntry* name_entry;
	GtkEntry* path_entry;
	GtkLabel* label7;
	GtkLabel* label8;
	GtkLabel* label9;
	GtkEntry* author_entry;
	GtkEntry* version_entry;
	GtkComboBox* licenses_combo;
	GtkFileChooserButton* dir_chooser;
};

struct _ValideAbstractProjectDialogwindow_widgetsClass {
	GTypeClass parent_class;
	void (*finalize) (ValideAbstractProjectDialogwindow_widgets *self);
};

/* GtkFileChooserButton dir_chooser */
struct _ValideAbstractProjectDialogwindow_widget_names {
	gint index;
	char* class;
	char* name;
};


GType valide_about_dialog_get_type (void);
ValideAboutDialog* valide_about_dialog_new (void);
ValideAboutDialog* valide_about_dialog_construct (GType object_type);
GType valide_abstract_config_manager_get_type (void);
GType valide_window_get_type (void);
void valide_abstract_config_manager_preferences (ValideAbstractConfigManager* self, ValideWindow* window);
void valide_abstract_config_manager_first_run (ValideAbstractConfigManager* self);
char* valide_abstract_config_manager_create_preferences_file (ValideAbstractConfigManager* self, const char* filename, const char* contents);
gint valide_abstract_config_manager_get_integer (ValideAbstractConfigManager* self, const char* group, const char* key);
char* valide_abstract_config_manager_get_string (ValideAbstractConfigManager* self, const char* group, const char* key);
gboolean valide_abstract_config_manager_get_boolean (ValideAbstractConfigManager* self, const char* group, const char* key);
void valide_abstract_config_manager_set_integer (ValideAbstractConfigManager* self, const char* group, const char* key, gint val);
void valide_abstract_config_manager_set_string (ValideAbstractConfigManager* self, const char* group, const char* key, const char* val);
void valide_abstract_config_manager_set_boolean (ValideAbstractConfigManager* self, const char* group, const char* key, gboolean val);
char* valide_abstract_config_manager_get_config_file (ValideAbstractConfigManager* self);
char* valide_abstract_config_manager_get_home_dir (ValideAbstractConfigManager* self);
char* valide_abstract_config_manager_get_config_dir (ValideAbstractConfigManager* self);
char* valide_abstract_config_manager_get_tmp_dir (ValideAbstractConfigManager* self);
GType valide_ui_manager_get_type (void);
GType valide_document_state_get_type (void);
GType valide_idocument_get_type (void);
GType valide_abstract_text_document_get_type (void);
GType valide_split_source_view_get_type (void);
ValideSplitSourceView* valide_abstract_text_document_create_source_view (ValideAbstractTextDocument* self);
char* valide_abstract_text_document_get_contents (ValideAbstractTextDocument* self, GError** error);
void valide_abstract_text_document_set_contents (ValideAbstractTextDocument* self, const char* new_path, GError** error);
void valide_abstract_text_document_grab_focus (ValideAbstractTextDocument* self);
void valide_abstract_text_document_show (ValideAbstractTextDocument* self);
void valide_abstract_text_document_reload (ValideAbstractTextDocument* self);
GdkPixbuf* valide_abstract_text_document_get_icon (ValideAbstractTextDocument* self);
char* valide_abstract_text_document_get_tooltips (ValideAbstractTextDocument* self);
GType valide_position_get_type (void);
ValidePosition* valide_position_dup (const ValidePosition* self);
void valide_position_free (ValidePosition* self);
void valide_abstract_text_document_select_range (ValideAbstractTextDocument* self, const ValidePosition* pos);
GType valide_source_buffer_get_type (void);
ValideSourceBuffer* valide_abstract_text_document_get_buffer (ValideAbstractTextDocument* self);
GType valide_source_view_get_type (void);
ValideSourceView* valide_abstract_text_document_get_text_view (ValideAbstractTextDocument* self);
ValideSourceView* valide_abstract_text_document_get_view1 (ValideAbstractTextDocument* self);
ValideSourceView* valide_abstract_text_document_get_view2 (ValideAbstractTextDocument* self);
gboolean valide_abstract_text_document_get_editable (ValideAbstractTextDocument* self);
void valide_abstract_text_document_set_editable (ValideAbstractTextDocument* self, gboolean value);
char* valide_abstract_text_document_get_selected_text (ValideAbstractTextDocument* self);
GType valide_executable_get_type (void);
GType valide_compiler_get_type (void);
GType valide_project_get_type (void);
ValideCompiler* valide_compiler_new (ValideProject* project);
ValideCompiler* valide_compiler_construct (GType object_type, ValideProject* project);
ValideProject* valide_compiler_get_project (ValideCompiler* self);
GType valide_config_manager_get_type (void);
ValideConfigManager* valide_config_manager_get_instance (void);
GType valide_abstract_close_dialog_get_type (void);
gpointer valide_abstract_close_dialog_window_widgets_ref (gpointer instance);
void valide_abstract_close_dialog_window_widgets_unref (gpointer instance);
GParamSpec* valide_abstract_close_dialog_param_spec_window_widgets (const gchar* name, const gchar* nick, const gchar* blurb, GType object_type, GParamFlags flags);
void valide_abstract_close_dialog_value_set_window_widgets (GValue* value, gpointer v_object);
gpointer valide_abstract_close_dialog_value_get_window_widgets (const GValue* value);
GType valide_abstract_close_dialog_window_widgets_get_type (void);
GType valide_document_close_dialog_get_type (void);
ValideDocumentCloseDialog* valide_document_close_dialog_new (GList* documents);
ValideDocumentCloseDialog* valide_document_close_dialog_construct (GType object_type, GList* documents);
void valide_document_close_dialog_set_transient_for (ValideDocumentCloseDialog* self, GtkWindow* parent);
void valide_document_close_dialog_set_modal (ValideDocumentCloseDialog* self, gboolean modal);
gint valide_document_close_dialog_run (ValideDocumentCloseDialog* self);
void valide_document_close_dialog_destroy (ValideDocumentCloseDialog* self);
GList* valide_document_close_dialog_get_selected (ValideDocumentCloseDialog* self);
GQuark valide_document_error_quark (void);
GType valide_document_manager_get_type (void);
void valide_document_manager_setup_ui (ValideDocumentManager* self);
ValideAbstractTextDocument* valide_document_manager_create_document (ValideDocumentManager* self, const char* filename, GError** error);
ValideDocumentManager* valide_document_manager_new (ValideUIManager* ui_manager);
ValideDocumentManager* valide_document_manager_construct (GType object_type, ValideUIManager* ui_manager);
ValideiDocument* valide_document_manager_create (ValideDocumentManager* self, const char* filename, GError** error);
GQuark valide_project_error_quark (void);
void valide_document_manager_open (ValideDocumentManager* self, GError** error);
gboolean valide_document_manager_save_all (ValideDocumentManager* self);
gboolean valide_document_manager_close_all (ValideDocumentManager* self);
gint valide_document_manager_append_page (ValideDocumentManager* self, ValideiDocument* child);
void valide_document_manager_remove_page (ValideDocumentManager* self, ValideiDocument* child);
ValideiDocument* valide_document_manager_get_nth (ValideDocumentManager* self, gint page_num);
gboolean valide_document_manager_is_open (ValideDocumentManager* self, const char* filename, gint* pos);
ValideUIManager* valide_document_manager_get_ui_manager (ValideDocumentManager* self);
ValideiDocument* valide_document_manager_get_current (ValideDocumentManager* self);
void valide_document_manager_set_current (ValideDocumentManager* self, ValideiDocument* value);
GList* valide_document_manager_get_documents (ValideDocumentManager* self);
GType valide_document_message_get_type (void);
ValideDocumentMessage* valide_document_message_new (ValideAbstractTextDocument* document);
ValideDocumentMessage* valide_document_message_construct (GType object_type, ValideAbstractTextDocument* document);
ValideAbstractTextDocument* valide_document_message_get_document (ValideDocumentMessage* self);
GType valide_txt_document_get_type (void);
ValideTxtDocument* valide_txt_document_new (void);
ValideTxtDocument* valide_txt_document_construct (GType object_type);
GType valide_gs_document_get_type (void);
ValideGsDocument* valide_gs_document_new (void);
ValideGsDocument* valide_gs_document_construct (GType object_type);
GType valide_vala_document_get_type (void);
ValideValaDocument* valide_vala_document_new (void);
ValideValaDocument* valide_vala_document_construct (GType object_type);
GType valide_vapi_document_get_type (void);
ValideVapiDocument* valide_vapi_document_new (void);
ValideVapiDocument* valide_vapi_document_construct (GType object_type);
GType valide_xml_document_get_type (void);
ValideXmlDocument* valide_xml_document_new (void);
ValideXmlDocument* valide_xml_document_construct (GType object_type);
GType valide_glade_document_get_type (void);
ValideGladeDocument* valide_glade_document_new (void);
ValideGladeDocument* valide_glade_document_construct (GType object_type);
GType valide_ui_document_get_type (void);
ValideUiDocument* valide_ui_document_new (void);
ValideUiDocument* valide_ui_document_construct (GType object_type);
GType valide_encoding_get_type (void);
char* valide_encoding_to_utf8 (const char* path, char** encoding, GError** error);
char* valide_encoding_from_utf8 (GtkTextBuffer* text_buffer, char** encoding, GError** error);
ValideEncoding* valide_encoding_new (void);
ValideEncoding* valide_encoding_construct (GType object_type);
GQuark valide_executable_error_quark (void);
GType valide_executable_manager_get_type (void);
ValideExecutableManager* valide_executable_manager_new (ValideUIManager* ui_manager);
ValideExecutableManager* valide_executable_manager_construct (GType object_type, ValideUIManager* ui_manager);
void valide_executable_manager_run (ValideExecutableManager* self, ValideExecutable* executable, const char* dir, const char* options);
void valide_executable_manager_stop (ValideExecutableManager* self, GError** error);
ValideUIManager* valide_executable_manager_get_ui_manager (ValideExecutableManager* self);
char* valide_executable_cmd_start (ValideExecutable* self, const char* cmd);
char* valide_executable_cmd_end (ValideExecutable* self, gint status, double time);
GdkColor valide_executable_get_color_line (ValideExecutable* self, const char* line);
void valide_executable_line_activated (ValideExecutable* self, const char* line);
ValideExecutable* valide_executable_new (void);
ValideExecutable* valide_executable_construct (GType object_type);
char* valide_executable_get_start_msg (ValideExecutable* self);
char* valide_executable_get_end_msg (ValideExecutable* self);
char* valide_executable_get_working_directory (ValideExecutable* self);
char* valide_executable_get_executable (ValideExecutable* self);
void valide_executable_set_executable (ValideExecutable* self, const char* value);
GType valide_goto_dialog_get_type (void);
ValideGotoDialog* valide_goto_dialog_new (ValideAbstractTextDocument* document);
ValideGotoDialog* valide_goto_dialog_construct (GType object_type, ValideAbstractTextDocument* document);
void valide_goto_dialog_show (ValideGotoDialog* self);
ValideAbstractTextDocument* valide_goto_dialog_get_document (ValideGotoDialog* self);
void valide_idocument_open (ValideiDocument* self, const char* path, GError** error);
void valide_idocument_save (ValideiDocument* self, const char* current_folder);
void valide_idocument_save_as (ValideiDocument* self, const char* current_folder);
void valide_idocument_rename (ValideiDocument* self);
gboolean valide_idocument_close (ValideiDocument* self);
void valide_idocument_redo (ValideiDocument* self);
void valide_idocument_search (ValideiDocument* self);
void valide_idocument_find_next (ValideiDocument* self);
void valide_idocument_find_prev (ValideiDocument* self);
void valide_idocument_replace (ValideiDocument* self);
gboolean valide_idocument_goto_line (ValideiDocument* self, gint line);
GdkPixbuf* valide_idocument_get_icon (ValideiDocument* self);
char* valide_idocument_get_tooltips (ValideiDocument* self);
void valide_idocument_setup_ui (ValideiDocument* self, ValideUIManager* ui_manager);
ValideDocumentState valide_idocument_get_state (ValideiDocument* self);
void valide_idocument_set_state (ValideiDocument* self, ValideDocumentState value);
gboolean valide_idocument_get_is_save (ValideiDocument* self);
void valide_idocument_set_is_save (ValideiDocument* self, gboolean value);
char* valide_idocument_get_path (ValideiDocument* self);
void valide_idocument_set_path (ValideiDocument* self, const char* value);
char* valide_idocument_get_title (ValideiDocument* self);
char* valide_idocument_get_filename (ValideiDocument* self);
gpointer valide_markup_ref (gpointer instance);
void valide_markup_unref (gpointer instance);
GParamSpec* valide_param_spec_markup (const gchar* name, const gchar* nick, const gchar* blurb, GType object_type, GParamFlags flags);
void valide_value_set_markup (GValue* value, gpointer v_object);
gpointer valide_value_get_markup (const GValue* value);
GType valide_markup_get_type (void);
void valide_markup_remove (const char* filename, const char* xpath);
void valide_markup_add_child (const char* filename, const char* xpath, const char* name, const char* content);
gboolean valide_markup_exist (const char* filename, const char* xpath);
char* valide_markup_get_content (const char* filename, const char* xpath);
xmlNodeSet* valide_markup_get_nodes (const char* filename, const char* xpath);
ValideMarkup* valide_markup_new (void);
ValideMarkup* valide_markup_construct (GType object_type);
GType valide_panel_get_type (void);
ValidePanel* valide_panel_new (GtkOrientation orientation);
ValidePanel* valide_panel_construct (GType object_type, GtkOrientation orientation);
void valide_panel_add_item (ValidePanel* self, GtkWidget* item, const char* name, GtkImage* image);
void valide_panel_add_item_with_stock_icon (ValidePanel* self, GtkWidget* item, const char* name, const char* stock_id);
void valide_panel_close (ValidePanel* self);
gboolean valide_panel_remove_item (ValidePanel* self, GtkWidget* item);
void valide_panel_set_current_page (ValidePanel* self, GtkWidget* widget);
GtkOrientation valide_panel_get_orientation (ValidePanel* self);
GType valide_plugin_manager_get_type (void);
GType valide_plugin_registrar_get_type (void);
ValidePluginManager* valide_plugin_manager_new (ValideWindow* window);
ValidePluginManager* valide_plugin_manager_construct (GType object_type, ValideWindow* window);
GtkWidget* valide_plugin_manager_preferences (ValidePluginManager* self);
ValideWindow* valide_plugin_manager_get_window (ValidePluginManager* self);
GType valide_plugin_preferences_get_type (void);
ValidePluginPreferences* valide_plugin_preferences_new (ValidePluginManager* plugin_manager);
ValidePluginPreferences* valide_plugin_preferences_construct (GType object_type, ValidePluginManager* plugin_manager);
ValidePluginManager* valide_plugin_preferences_get_plugin_manager (ValidePluginPreferences* self);
ValidePluginRegistrar* valide_plugin_registrar_new (const char* filename, ValideWindow* window);
ValidePluginRegistrar* valide_plugin_registrar_construct (GType object_type, const char* filename, ValideWindow* window);
void valide_plugin_registrar_load (ValidePluginRegistrar* self, GError** error);
void valide_plugin_registrar_unload (ValidePluginRegistrar* self, GError** error);
void valide_plugin_registrar_preferences (ValidePluginRegistrar* self);
ValideWindow* valide_plugin_registrar_get_window (ValidePluginRegistrar* self);
const char* valide_plugin_registrar_get_path (ValidePluginRegistrar* self);
gboolean valide_plugin_registrar_get_is_active (ValidePluginRegistrar* self);
gboolean valide_plugin_registrar_get_is_available (ValidePluginRegistrar* self);
const char* valide_plugin_registrar_get_name (ValidePluginRegistrar* self);
const char* valide_plugin_registrar_get_description (ValidePluginRegistrar* self);
const char* valide_plugin_registrar_get_icon_name (ValidePluginRegistrar* self);
const char* valide_plugin_registrar_get_website (ValidePluginRegistrar* self);
const char* valide_plugin_registrar_get_copyright (ValidePluginRegistrar* self);
gboolean valide_plugin_registrar_get_is_configurable (ValidePluginRegistrar* self);
GType valide_plugin_get_type (void);
ValidePlugin* valide_plugin_registrar_get_plugin (ValidePluginRegistrar* self);
char* valide_plugin_get_path (ValidePlugin* self);
void valide_plugin_set_path (ValidePlugin* self, const char* value);
ValideWindow* valide_plugin_get_window (ValidePlugin* self);
void valide_plugin_set_window (ValidePlugin* self, ValideWindow* value);
GType valide_abstract_preferences_dialog_get_type (void);
gpointer valide_abstract_preferences_dialog_window_widgets_ref (gpointer instance);
void valide_abstract_preferences_dialog_window_widgets_unref (gpointer instance);
GParamSpec* valide_abstract_preferences_dialog_param_spec_window_widgets (const gchar* name, const gchar* nick, const gchar* blurb, GType object_type, GParamFlags flags);
void valide_abstract_preferences_dialog_value_set_window_widgets (GValue* value, gpointer v_object);
gpointer valide_abstract_preferences_dialog_value_get_window_widgets (const GValue* value);
GType valide_abstract_preferences_dialog_window_widgets_get_type (void);
GType valide_preferences_dialog_get_type (void);
void valide_preferences_dialog_update_editor_param (GtkWidget* sender, ValidePreferencesDialog* self);
void valide_preferences_dialog_update_font_param (GtkWidget* sender, ValidePreferencesDialog* self);
void valide_preferences_dialog_update_projects_param (GtkWidget* sender, ValidePreferencesDialog* self);
ValidePreferencesDialog* valide_preferences_dialog_new (ValideWindow* window);
ValidePreferencesDialog* valide_preferences_dialog_construct (GType object_type, ValideWindow* window);
gint valide_preferences_dialog_run (ValidePreferencesDialog* self);
void valide_preferences_dialog_destroy (ValidePreferencesDialog* self);
ValideWindow* valide_preferences_dialog_get_window (ValidePreferencesDialog* self);
GType valide_abstract_project_dialog_options_get_type (void);
gpointer valide_abstract_project_dialog_options_window_widgets_ref (gpointer instance);
void valide_abstract_project_dialog_options_window_widgets_unref (gpointer instance);
GParamSpec* valide_abstract_project_dialog_options_param_spec_window_widgets (const gchar* name, const gchar* nick, const gchar* blurb, GType object_type, GParamFlags flags);
void valide_abstract_project_dialog_options_value_set_window_widgets (GValue* value, gpointer v_object);
gpointer valide_abstract_project_dialog_options_value_get_window_widgets (const GValue* value);
GType valide_abstract_project_dialog_options_window_widgets_get_type (void);
GType valide_project_dialog_options_get_type (void);
void valide_project_dialog_options_add_vapi_dir (GtkWidget* sender, ValideProjectDialogOptions* self);
void valide_project_dialog_options_del_vapi_dir (GtkWidget* sender, ValideProjectDialogOptions* self);
void valide_project_dialog_options_row_add_pkg (GtkTreeView* sender, const GtkTreePath* path, GtkTreeViewColumn* column, ValideProjectDialogOptions* self);
void valide_project_dialog_options_row_del_pkg (GtkTreeView* sender, const GtkTreePath* path, GtkTreeViewColumn* column, ValideProjectDialogOptions* self);
void valide_project_dialog_options_add_pkg (GtkWidget* sender, ValideProjectDialogOptions* self);
void valide_project_dialog_options_del_pkg (GtkWidget* sender, ValideProjectDialogOptions* self);
void valide_project_dialog_options_show_help (GtkButton* sender, ValideProjectDialogOptions* self);
ValideProjectDialogOptions* valide_project_dialog_options_new (ValideProject* project, GtkWindow* parent);
ValideProjectDialogOptions* valide_project_dialog_options_construct (GType object_type, ValideProject* project, GtkWindow* parent);
gint valide_project_dialog_options_run (ValideProjectDialogOptions* self);
void valide_project_dialog_options_destroy (ValideProjectDialogOptions* self);
ValideProject* valide_project_dialog_options_get_project (ValideProjectDialogOptions* self);
const char* valide_project_dialog_options_get_path (ValideProjectDialogOptions* self);
void valide_project_dialog_options_set_path (ValideProjectDialogOptions* self, const char* value);
const char* valide_project_dialog_options_get_name (ValideProjectDialogOptions* self);
void valide_project_dialog_options_set_name (ValideProjectDialogOptions* self, const char* value);
const char* valide_project_dialog_options_get_author (ValideProjectDialogOptions* self);
void valide_project_dialog_options_set_author (ValideProjectDialogOptions* self, const char* value);
const char* valide_project_dialog_options_get_license (ValideProjectDialogOptions* self);
void valide_project_dialog_options_set_license (ValideProjectDialogOptions* self, const char* value);
const char* valide_project_dialog_options_get_version (ValideProjectDialogOptions* self);
void valide_project_dialog_options_set_version (ValideProjectDialogOptions* self, const char* value);
gboolean valide_project_dialog_options_get_debuging (ValideProjectDialogOptions* self);
void valide_project_dialog_options_set_debuging (ValideProjectDialogOptions* self, gboolean value);
gboolean valide_project_dialog_options_get_thread (ValideProjectDialogOptions* self);
void valide_project_dialog_options_set_thread (ValideProjectDialogOptions* self, gboolean value);
gboolean valide_project_dialog_options_get_disable_assert (ValideProjectDialogOptions* self);
void valide_project_dialog_options_set_disable_assert (ValideProjectDialogOptions* self, gboolean value);
gboolean valide_project_dialog_options_get_disable_checking (ValideProjectDialogOptions* self);
void valide_project_dialog_options_set_disable_checking (ValideProjectDialogOptions* self, gboolean value);
gboolean valide_project_dialog_options_get_disable_non_null (ValideProjectDialogOptions* self);
void valide_project_dialog_options_set_disable_non_null (ValideProjectDialogOptions* self, gboolean value);
gboolean valide_project_dialog_options_get_save_temps (ValideProjectDialogOptions* self);
void valide_project_dialog_options_set_save_temps (ValideProjectDialogOptions* self, gboolean value);
gboolean valide_project_dialog_options_get_quiet (ValideProjectDialogOptions* self);
void valide_project_dialog_options_set_quiet (ValideProjectDialogOptions* self, gboolean value);
char* valide_project_dialog_options_get_other (ValideProjectDialogOptions* self);
void valide_project_dialog_options_set_other (ValideProjectDialogOptions* self, const char* value);
GList* valide_project_dialog_options_get_vapi_dir (ValideProjectDialogOptions* self);
void valide_project_dialog_options_set_vapi_dir (ValideProjectDialogOptions* self, GList* value);
GList* valide_project_dialog_options_get_pkg (ValideProjectDialogOptions* self);
void valide_project_dialog_options_set_pkg (ValideProjectDialogOptions* self, GList* value);
GType valide_abstract_project_dialog_remove_get_type (void);
gpointer valide_abstract_project_dialog_remove_window_widgets_ref (gpointer instance);
void valide_abstract_project_dialog_remove_window_widgets_unref (gpointer instance);
GParamSpec* valide_abstract_project_dialog_remove_param_spec_window_widgets (const gchar* name, const gchar* nick, const gchar* blurb, GType object_type, GParamFlags flags);
void valide_abstract_project_dialog_remove_value_set_window_widgets (GValue* value, gpointer v_object);
gpointer valide_abstract_project_dialog_remove_value_get_window_widgets (const GValue* value);
GType valide_abstract_project_dialog_remove_window_widgets_get_type (void);
GType valide_project_dialog_remove_get_type (void);
ValideProjectDialogRemove* valide_project_dialog_remove_new (ValideProject* project);
ValideProjectDialogRemove* valide_project_dialog_remove_construct (GType object_type, ValideProject* project);
gint valide_project_dialog_remove_run (ValideProjectDialogRemove* self);
void valide_project_dialog_remove_destroy (ValideProjectDialogRemove* self);
ValideProject* valide_project_dialog_remove_get_project (ValideProjectDialogRemove* self);
GList* valide_project_dialog_remove_get_selected_files (ValideProjectDialogRemove* self);
GType valide_abstract_project_dialog_get_type (void);
gpointer valide_abstract_project_dialog_window_widgets_ref (gpointer instance);
void valide_abstract_project_dialog_window_widgets_unref (gpointer instance);
GParamSpec* valide_abstract_project_dialog_param_spec_window_widgets (const gchar* name, const gchar* nick, const gchar* blurb, GType object_type, GParamFlags flags);
void valide_abstract_project_dialog_value_set_window_widgets (GValue* value, gpointer v_object);
gpointer valide_abstract_project_dialog_value_get_window_widgets (const GValue* value);
GType valide_abstract_project_dialog_window_widgets_get_type (void);
GType valide_project_dialog_get_type (void);
void valide_project_dialog_selection_changed (GtkIconView* icon_view, ValideProjectDialog* self);
void valide_project_dialog_project_path_change (GtkWidget* sender, ValideProjectDialog* self);
void valide_project_dialog_show (ValideProjectDialog* self);
guint valide_project_dialog_run (ValideProjectDialog* self);
ValideProjectDialog* valide_project_dialog_new (void);
ValideProjectDialog* valide_project_dialog_construct (GType object_type);
char* valide_project_dialog_get_project_name (ValideProjectDialog* self);
char* valide_project_dialog_get_project_author (ValideProjectDialog* self);
char* valide_project_dialog_get_project_version (ValideProjectDialog* self);
char* valide_project_dialog_get_project_license (ValideProjectDialog* self);
char* valide_project_dialog_get_project_dir (ValideProjectDialog* self);
void valide_project_dialog_set_project_dir (ValideProjectDialog* self, const char* value);
char* valide_project_dialog_get_project_path (ValideProjectDialog* self);
char* valide_project_dialog_get_lang (ValideProjectDialog* self);
char* valide_project_dialog_get_template (ValideProjectDialog* self);
void valide_project_dialog_set_project_desc (ValideProjectDialog* self, const char* value);
GType valide_project_manager_get_type (void);
ValideProjectManager* valide_project_manager_new (ValideUIManager* ui_manager, ValideDocumentManager* documents);
ValideProjectManager* valide_project_manager_construct (GType object_type, ValideUIManager* ui_manager, ValideDocumentManager* documents);
gboolean valide_project_manager_create (ValideProjectManager* self);
gboolean valide_project_manager_open (ValideProjectManager* self, const char* filename, GError** error);
void valide_project_manager_close (ValideProjectManager* self, ValideProject* project);
void valide_project_manager_open_selected_file (ValideProjectManager* self);
void valide_project_manager_remove_selected_file (ValideProjectManager* self);
gboolean valide_project_manager_accept_file (ValideProjectManager* self, const char* filename);
ValideUIManager* valide_project_manager_get_ui_manager (ValideProjectManager* self);
ValideDocumentManager* valide_project_manager_get_documents (ValideProjectManager* self);
ValideProject* valide_project_manager_get_current (ValideProjectManager* self);
void valide_project_manager_set_current (ValideProjectManager* self, ValideProject* value);
ValideProject* valide_project_new (ValideDocumentManager* documents, const char* filename);
ValideProject* valide_project_construct (GType object_type, ValideDocumentManager* documents, const char* filename);
void valide_project_close (ValideProject* self);
void valide_project_create_file (ValideProject* self, GError** error);
ValideiDocument* valide_project_open_file (ValideProject* self, const char* filename, GError** error);
void valide_project_add_file (ValideProject* self, GSList* files);
void valide_project_remove_file (ValideProject* self, GList* files);
gboolean valide_project_is_compiled (ValideProject* self);
gboolean valide_project_is_uptodate (ValideProject* self);
void valide_project_options (ValideProject* self, GtkWindow* parent);
void valide_project_compile (ValideProject* self, ValideExecutableManager* executables);
void valide_project_execute (ValideProject* self, ValideExecutableManager* executables);
gboolean valide_project_accept_file (const char* filename);
char* valide_project_get_real_filename (ValideProject* self, const char* filename);
char* valide_project_get_filename (ValideProject* self);
void valide_project_set_filename (ValideProject* self, const char* value);
char* valide_project_get_path (ValideProject* self);
char* valide_project_get_name (ValideProject* self);
void valide_project_set_name (ValideProject* self, const char* value);
char* valide_project_get_author (ValideProject* self);
void valide_project_set_author (ValideProject* self, const char* value);
char* valide_project_get_version (ValideProject* self);
void valide_project_set_version (ValideProject* self, const char* value);
char* valide_project_get_license (ValideProject* self);
void valide_project_set_license (ValideProject* self, const char* value);
GList* valide_project_get_files (ValideProject* self);
gboolean valide_project_get_debuging (ValideProject* self);
void valide_project_set_debuging (ValideProject* self, gboolean value);
gboolean valide_project_get_thread (ValideProject* self);
void valide_project_set_thread (ValideProject* self, gboolean value);
gboolean valide_project_get_disable_assert (ValideProject* self);
void valide_project_set_disable_assert (ValideProject* self, gboolean value);
gboolean valide_project_get_disable_checking (ValideProject* self);
void valide_project_set_disable_checking (ValideProject* self, gboolean value);
gboolean valide_project_get_disable_non_null (ValideProject* self);
void valide_project_set_disable_non_null (ValideProject* self, gboolean value);
gboolean valide_project_get_save_temps (ValideProject* self);
void valide_project_set_save_temps (ValideProject* self, gboolean value);
gboolean valide_project_get_quiet (ValideProject* self);
void valide_project_set_quiet (ValideProject* self, gboolean value);
char* valide_project_get_other (ValideProject* self);
void valide_project_set_other (ValideProject* self, const char* value);
GList* valide_project_get_pkg (ValideProject* self);
void valide_project_set_pkg (ValideProject* self, GList* value);
GList* valide_project_get_vapi_dir (ValideProject* self);
void valide_project_set_vapi_dir (ValideProject* self, GList* value);
char* valide_project_get_builder (ValideProject* self);
void valide_project_set_builder (ValideProject* self, const char* value);
char* valide_project_get_compiler_options (ValideProject* self);
char* valide_project_get_executable_name (ValideProject* self);
char* valide_project_get_executable_options (ValideProject* self);
ValideDocumentManager* valide_project_get_documents (ValideProject* self);
GType valide_recent_manager_ui_get_type (void);
ValideRecentManagerUI* valide_recent_manager_ui_new (ValideUIManager* ui_manager, ValideDocumentManager* documents, ValideProjectManager* projects);
ValideRecentManagerUI* valide_recent_manager_ui_construct (GType object_type, ValideUIManager* ui_manager, ValideDocumentManager* documents, ValideProjectManager* projects);
void valide_recent_manager_ui_add_file (ValideRecentManagerUI* self, const char* uri);
void valide_recent_manager_ui_add_project (ValideRecentManagerUI* self, const char* uri);
void valide_recent_manager_ui_update_file (ValideRecentManagerUI* self);
void valide_recent_manager_ui_update_project (ValideRecentManagerUI* self);
ValideUIManager* valide_recent_manager_ui_get_ui_manager (ValideRecentManagerUI* self);
ValideDocumentManager* valide_recent_manager_ui_get_documents (ValideRecentManagerUI* self);
ValideProjectManager* valide_recent_manager_ui_get_projects (ValideRecentManagerUI* self);
GList* valide_recent_manager_ui_get_recent_files (ValideRecentManagerUI* self);
GList* valide_recent_manager_ui_get_recent_projects (ValideRecentManagerUI* self);
GType valide_searching_get_type (void);
ValideSearching* valide_searching_new (ValideAbstractTextDocument* document);
ValideSearching* valide_searching_construct (GType object_type, ValideAbstractTextDocument* document);
gboolean valide_searching_find (ValideSearching* self, gboolean show_replace, gboolean show_dialog);
gboolean valide_searching_find_next (ValideSearching* self);
gboolean valide_searching_find_prev (ValideSearching* self);
void valide_searching_replace (ValideSearching* self, gboolean show_dialog);
gboolean valide_searching_replace_next (ValideSearching* self);
gboolean valide_searching_replace_prev (ValideSearching* self);
void valide_searching_replace_all (ValideSearching* self);
void valide_searching_show_search (ValideSearching* self);
void valide_searching_show_replace (ValideSearching* self);
ValideAbstractTextDocument* valide_searching_get_document (ValideSearching* self);
const char* valide_searching_get_search_text (ValideSearching* self);
void valide_searching_set_search_text (ValideSearching* self, const char* value);
const char* valide_searching_get_replace_text (ValideSearching* self);
void valide_searching_set_replace_text (ValideSearching* self, const char* value);
gboolean valide_searching_get_casse (ValideSearching* self);
void valide_searching_set_casse (ValideSearching* self, gboolean value);
gboolean valide_searching_get_word (ValideSearching* self);
void valide_searching_set_word (ValideSearching* self, gboolean value);
char* valide_source_buffer_get_contents (ValideSourceBuffer* self, GError** error);
void valide_source_buffer_set_contents (ValideSourceBuffer* self, const char* new_path, GError** error);
char* valide_source_buffer_get_last_word_and_iter (ValideSourceBuffer* self, GtkTextIter* start_word, GtkTextIter* end_word);
char* valide_source_buffer_get_last_word (ValideSourceBuffer* self);
void valide_source_buffer_replace_actual_word (ValideSourceBuffer* self, const char* text);
ValideSourceBuffer* valide_source_buffer_new (void);
ValideSourceBuffer* valide_source_buffer_construct (GType object_type);
const char* valide_source_buffer_get_encoding (ValideSourceBuffer* self);
void valide_source_buffer_set_encoding (ValideSourceBuffer* self, const char* value);
ValideSourceView* valide_source_view_new (const char* language);
ValideSourceView* valide_source_view_construct (GType object_type, const char* language);
void valide_source_view_scroll_to_cursor (ValideSourceView* self);
const char* valide_source_view_get_language (ValideSourceView* self);
ValideSourceBuffer* valide_source_view_get_buffer (ValideSourceView* self);
void valide_source_view_set_buffer (ValideSourceView* self, ValideSourceBuffer* value);
void valide_source_view_set_font (ValideSourceView* self, const char* value);
void valide_source_view_set_style_scheme (ValideSourceView* self, const char* value);
GType valide_completion_trigger_get_type (void);
ValideSplitSourceView* valide_split_source_view_new (const char* language);
ValideSplitSourceView* valide_split_source_view_construct (GType object_type, const char* language);
const char* valide_split_source_view_get_language (ValideSplitSourceView* self);
ValideSourceView* valide_split_source_view_get_active_view (ValideSplitSourceView* self);
ValideSourceView* valide_split_source_view_get_view1 (ValideSplitSourceView* self);
ValideSourceView* valide_split_source_view_get_view2 (ValideSplitSourceView* self);
GType valide_start_page_get_type (void);
ValideStartPage* valide_start_page_new (ValideDocumentManager* documents, ValideProjectManager* projects, ValideRecentManagerUI* recents);
ValideStartPage* valide_start_page_construct (GType object_type, ValideDocumentManager* documents, ValideProjectManager* projects, ValideRecentManagerUI* recents);
ValideDocumentManager* valide_start_page_get_documents (ValideStartPage* self);
ValideProjectManager* valide_start_page_get_projects (ValideStartPage* self);
ValideRecentManagerUI* valide_start_page_get_recents (ValideStartPage* self);
GType valide_statusbar_get_type (void);
void valide_statusbar_set_has_resize_grip (ValideStatusbar* self, gboolean show);
void valide_statusbar_set_cursor_position (ValideStatusbar* self, gint line, gint col);
void valide_statusbar_flash_message (ValideStatusbar* self, guint context_id, const char* msg);
ValideStatusbar* valide_statusbar_new (void);
ValideStatusbar* valide_statusbar_construct (GType object_type);
GType valide_template_manager_get_type (void);
ValideTemplateManager* valide_template_manager_get_instance (void);
GList* valide_template_manager_get_list (ValideTemplateManager* self);
GType valide_template_get_type (void);
ValideTemplate* valide_template_new (const char* filename, const char* lang);
ValideTemplate* valide_template_construct (GType object_type, const char* filename, const char* lang);
const char* valide_template_get_name (ValideTemplate* self);
const char* valide_template_get_desc (ValideTemplate* self);
const char* valide_template_get_path (ValideTemplate* self);
const char* valide_template_get_filename (ValideTemplate* self);
GdkPixbuf* valide_template_get_icon (ValideTemplate* self);
const char* valide_template_get_lang (ValideTemplate* self);
GList* valide_template_get_files (ValideTemplate* self);
void valide_ui_manager_populate (ValideUIManager* self);
GtkAction* valide_ui_manager_get_action (ValideUIManager* self, const char* name);
void valide_ui_manager_action_set_toggled (ValideUIManager* self, const char* name, gboolean active);
ValideUIManager* valide_ui_manager_new (void);
ValideUIManager* valide_ui_manager_construct (GType object_type);
gpointer valide_utils_ref (gpointer instance);
void valide_utils_unref (gpointer instance);
GParamSpec* valide_param_spec_utils (const gchar* name, const gchar* nick, const gchar* blurb, GType object_type, GParamFlags flags);
void valide_value_set_utils (GValue* value, gpointer v_object);
gpointer valide_value_get_utils (const GValue* value);
GType valide_utils_get_type (void);
char* valide_utils_get_relative_path (const char* filename, const char* path);
char* valide_utils_get_extension (const char* filename);
char* valide_utils_skip_extension (const char* filename);
gint valide_utils_cmp_filename (const char* path_a, const char* path_b);
guint64 valide_utils_get_mtime (const char* filename, GError** error);
void valide_utils_set_up_io_channel (gint fd, GIOCondition cond, gboolean nblock, GIOFunc func, void* func_target, GError** error);
void valide_utils_chop (char** s);
gboolean valide_utils_str_is_num (const char* s);
gboolean valide_utils_char_is_separator (gunichar ch);
GtkButton* valide_utils_create_small_button (GtkImage* image);
GtkButton* valide_utils_create_small_button_from_stock (const char* stock_id);
GdkPixbuf* valide_utils_get_pixbuf_for_stock (const char* stock_id, GtkIconSize size);
GdkPixbuf* valide_utils_get_pixbuf_for_file (const char* filename, GtkIconSize size, GError** error);
char* valide_utils_get_mime_type (const char* filename, GError** error);
void valide_utils_process_gtk_events (void);
gboolean valide_utils_remove_last_element (char** s, gchar sep);
char* valide_utils_get_last_element (const char* s, gchar sep);
ValideUtils* valide_utils_new (void);
ValideUtils* valide_utils_construct (GType object_type);
gpointer valide_valac_ref (gpointer instance);
void valide_valac_unref (gpointer instance);
GParamSpec* valide_param_spec_valac (const gchar* name, const gchar* nick, const gchar* blurb, GType object_type, GParamFlags flags);
void valide_value_set_valac (GValue* value, gpointer v_object);
gpointer valide_value_get_valac (const GValue* value);
GType valide_valac_get_type (void);
GList* valide_valac_get_package_list (GList* vapi_dir);
char* valide_valac_get_vapi_filename (const char* vapi);
ValideValac* valide_valac_new (void);
ValideValac* valide_valac_construct (GType object_type);
char* valide_valac_get_compiler_name (ValideValac* self);
char* valide_valac_get_prefix (ValideValac* self);
char* valide_valac_get_vapi_dir (ValideValac* self);
void valide_window_run (ValideWindow* self);
void valide_window_side_panel_show (ValideWindow* self, GtkWidget* widget);
void valide_window_side_panel_hide (ValideWindow* self);
void valide_window_bottom_panel_show (ValideWindow* self, GtkWidget* widget);
void valide_window_bottom_panel_hide (ValideWindow* self);
void valide_window_fullscreen (ValideWindow* self);
void valide_window_unfullscreen (ValideWindow* self);
void valide_window_show_start_page (ValideWindow* self);
void valide_window_hide_start_page (ValideWindow* self);
ValideWindow* valide_window_new (void);
ValideWindow* valide_window_construct (GType object_type);
ValideUIManager* valide_window_get_ui_manager (ValideWindow* self);
ValideRecentManagerUI* valide_window_get_recent_manager (ValideWindow* self);
ValideConfigManager* valide_window_get_config_manager (ValideWindow* self);
ValideDocumentManager* valide_window_get_documents (ValideWindow* self);
ValideProjectManager* valide_window_get_projects (ValideWindow* self);
ValideExecutableManager* valide_window_get_executables (ValideWindow* self);
ValidePluginManager* valide_window_get_plugins (ValideWindow* self);
GType valide_symbols_cache_get_type (void);
ValideSymbolsCache* valide_window_get_symbols (ValideWindow* self);
GType valide_completion_manager_get_type (void);
ValideCompletionManager* valide_window_get_completion (ValideWindow* self);
GtkMenuBar* valide_window_get_menu (ValideWindow* self);
GtkToolbar* valide_window_get_toolbar (ValideWindow* self);
ValidePanel* valide_window_get_side_panel (ValideWindow* self);
ValidePanel* valide_window_get_bottom_panel (ValideWindow* self);
ValideStatusbar* valide_window_get_statusbar (ValideWindow* self);
GType valide_completion_calltips_get_type (void);
void valide_completion_calltips_show (ValideCompletionCalltips* self, ValideSourceBuffer* source_buffer);
ValideCompletionCalltips* valide_completion_calltips_new (void);
ValideCompletionCalltips* valide_completion_calltips_construct (GType object_type);
ValideCompletionManager* valide_completion_manager_new (ValideDocumentManager* documents);
ValideCompletionManager* valide_completion_manager_construct (GType object_type, ValideDocumentManager* documents);
GType valide_completion_proposal_get_type (void);
GType valide_completion_provider_get_type (void);
gboolean valide_completion_manager_register_provider (ValideCompletionManager* self, ValideCompletionProvider* provider);
gboolean valide_completion_manager_unregister_provider (ValideCompletionManager* self, ValideCompletionProvider* provider);
void valide_completion_manager_trigger_event (ValideCompletionManager* self, ValideSourceView* source_view, gint x, gint y);
ValideDocumentManager* valide_completion_manager_get_documents (ValideCompletionManager* self);
GType valide_completion_popup_get_type (void);
ValideCompletionPopup* valide_completion_manager_get_popup (ValideCompletionManager* self);
ValideCompletionCalltips* valide_completion_manager_get_calltips (ValideCompletionManager* self);
ValideCompletionPopup* valide_completion_popup_new (void);
ValideCompletionPopup* valide_completion_popup_construct (GType object_type);
void valide_completion_popup_show (ValideCompletionPopup* self, ValideSourceBuffer* source_buffer);
void valide_completion_popup_hide (ValideCompletionPopup* self);
void valide_completion_popup_select_first (ValideCompletionPopup* self);
void valide_completion_popup_select_last (ValideCompletionPopup* self);
void valide_completion_popup_select_previous (ValideCompletionPopup* self, gint rows);
void valide_completion_popup_select_next (ValideCompletionPopup* self, gint rows);
gboolean valide_completion_popup_get_selected_proposal (ValideCompletionPopup* self, ValideCompletionProposal** proposal);
gint valide_completion_popup_get_num_proposals (ValideCompletionPopup* self);
gboolean valide_completion_popup_has_proposals (ValideCompletionPopup* self);
void valide_completion_popup_filter (ValideCompletionPopup* self, const char* filter);
ValideSourceBuffer* valide_completion_popup_get_source_buffer (ValideCompletionPopup* self);
void valide_completion_popup_set_proposals (ValideCompletionPopup* self, GList* value);
ValideCompletionProposal* valide_completion_proposal_new (const char* label, GdkPixbuf* icon);
ValideCompletionProposal* valide_completion_proposal_construct (GType object_type, const char* label, GdkPixbuf* icon);
const char* valide_completion_proposal_get_label (ValideCompletionProposal* self);
void valide_completion_proposal_set_label (ValideCompletionProposal* self, const char* value);
GdkPixbuf* valide_completion_proposal_get_icon (ValideCompletionProposal* self);
void valide_completion_proposal_set_icon (ValideCompletionProposal* self, GdkPixbuf* value);
GList* valide_completion_provider_get_proposals (ValideCompletionProvider* self, ValideSourceView* source_view);
GType valide_completion_tree_get_type (void);
gboolean valide_completion_tree_get_selected_proposal (ValideCompletionTree* self, ValideCompletionProposal** proposal);
void valide_completion_tree_add_data (ValideCompletionTree* self, ValideCompletionProposal* data);
void valide_completion_tree_clear (ValideCompletionTree* self);
void valide_completion_tree_select_first (ValideCompletionTree* self);
void valide_completion_tree_select_last (ValideCompletionTree* self);
void valide_completion_tree_select_previous (ValideCompletionTree* self, gint rows);
void valide_completion_tree_select_next (ValideCompletionTree* self, gint rows);
gint valide_completion_tree_get_num_proposals (ValideCompletionTree* self);
void valide_completion_tree_filter (ValideCompletionTree* self, const char* filter);
ValideCompletionTree* valide_completion_tree_new (void);
ValideCompletionTree* valide_completion_tree_construct (GType object_type);
GType valide_symbols_object_get_type (void);
GQuark valide_symbols_engine_error_quark (void);
GType valide_symbols_access_get_type (void);
ValideSymbolsAccess* valide_symbols_access_new (const char* name);
ValideSymbolsAccess* valide_symbols_access_construct (GType object_type, const char* name);
ValideSymbolsAccess* valide_symbols_access_new_from_id (gint id);
ValideSymbolsAccess* valide_symbols_access_construct_from_id (GType object_type, gint id);
GQuark valide_symbols_cache_error_quark (void);
GType valide_symbols_sort_type_get_type (void);
GType valide_symbols_cache_preferences_get_type (void);
ValideSymbolsCachePreferences* valide_symbols_cache_preferences_new (ValideSymbolsCache* cache);
ValideSymbolsCachePreferences* valide_symbols_cache_preferences_construct (GType object_type, ValideSymbolsCache* cache);
ValideSymbolsCache* valide_symbols_cache_preferences_get_cache (ValideSymbolsCachePreferences* self);
ValideSymbolsCache* valide_symbols_cache_get_instance (void);
void valide_symbols_cache_add_vapi (ValideSymbolsCache* self, const char* vapi);
gboolean valide_symbols_cache_vapi_exist (ValideSymbolsCache* self, const char* vapi);
void valide_symbols_cache_add_file (ValideSymbolsCache* self, const char* filename, const char* language);
void valide_symbols_cache_update_symbols (ValideSymbolsCache* self, const char* filename);
GType valide_symbols_symbol_get_type (void);
void valide_symbols_cache_get_symbols_for_file (ValideSymbolsCache* self, const char* filename, ValideSymbolsSortType sort, ValideSymbolsCacheListSymbolCallback callback, void* callback_target, GError** error);
void valide_symbols_cache_get_completion_for_symbol (ValideSymbolsCache* self, const char* filename, ValideSymbolsSymbol* type, const char* filter, ValideSymbolsCacheListSymbolCallback callback, void* callback_target, GError** error);
GtkWidget* valide_symbols_cache_preferences (ValideSymbolsCache* self);
void valide_symbols_cache_clear (ValideSymbolsCache* self);
void valide_symbols_cache_get_statistics (ValideSymbolsCache* self, ValideSymbolsCacheStatisticsCallback callback, void* callback_target, GError** error);
void valide_symbols_cache_rebuild (ValideSymbolsCache* self);
void valide_symbols_cache_goto_definition (ValideSymbolsCache* self, ValideDocumentManager* documents);
GType valide_symbols_engine_get_type (void);
ValideSymbolsEngine* valide_symbols_engine_get_instance (void);
sqlite3_stmt* valide_symbols_engine_prepare (ValideSymbolsEngine* self, const char* sql, GError** error);
void valide_symbols_engine_exec (ValideSymbolsEngine* self, const char* sql, GError** error);
char* valide_symbols_engine_errmsg (ValideSymbolsEngine* self);
void valide_symbols_engine_begin_transaction (ValideSymbolsEngine* self, GError** error);
void valide_symbols_engine_end_transaction (ValideSymbolsEngine* self, GError** error);
void valide_symbols_engine_delete_db (ValideSymbolsEngine* self);
GType valide_symbols_file_get_type (void);
GType valide_symbols_language_get_type (void);
ValideSymbolsFile* valide_symbols_file_new (const char* path, const char* language);
ValideSymbolsFile* valide_symbols_file_construct (GType object_type, const char* path, const char* language);
ValideSymbolsFile* valide_symbols_file_new_from_id (gint id);
ValideSymbolsFile* valide_symbols_file_construct_from_id (GType object_type, gint id);
guint64 valide_symbols_file_get_mtime (ValideSymbolsFile* self);
gboolean valide_symbols_file_get_up_to_date (ValideSymbolsFile* self);
GType valide_symbols_heritage_get_type (void);
ValideSymbolsHeritage* valide_symbols_heritage_new (gint base_id, const char* derived_name);
ValideSymbolsHeritage* valide_symbols_heritage_construct (GType object_type, gint base_id, const char* derived_name);
char** valide_symbols_heritage_get_derived (ValideSymbolsSymbol* symbol, int* result_length1, GError** error);
GType valide_symbols_implementation_get_type (void);
ValideSymbolsImplementation* valide_symbols_implementation_new (const char* name);
ValideSymbolsImplementation* valide_symbols_implementation_construct (GType object_type, const char* name);
ValideSymbolsImplementation* valide_symbols_implementation_new_from_id (gint id);
ValideSymbolsImplementation* valide_symbols_implementation_construct_from_id (GType object_type, gint id);
GType valide_symbols_kind_get_type (void);
ValideSymbolsKind* valide_symbols_kind_new (const char* name);
ValideSymbolsKind* valide_symbols_kind_construct (GType object_type, const char* name);
ValideSymbolsKind* valide_symbols_kind_new_from_id (gint id);
ValideSymbolsKind* valide_symbols_kind_construct_from_id (GType object_type, gint id);
ValideSymbolsLanguage* valide_symbols_language_new (const char* name);
ValideSymbolsLanguage* valide_symbols_language_construct (GType object_type, const char* name);
ValideSymbolsLanguage* valide_symbols_language_new_from_id (gint id);
ValideSymbolsLanguage* valide_symbols_language_construct_from_id (GType object_type, gint id);
extern ValideSymbolsEngine* valide_symbols_object_engine;
void valide_symbols_object_bind_exist_stmt (ValideSymbolsObject* self);
gint valide_symbols_object_get_last_id (ValideSymbolsObject* self, GError** error);
gint valide_symbols_object_add (ValideSymbolsObject* self, GError** error);
gboolean valide_symbols_object_exist (ValideSymbolsObject* self, GError** error);
void valide_symbols_object_remove (ValideSymbolsObject* self, GError** error);
char* valide_symbols_object_get_table_name (ValideSymbolsObject* self);
char* valide_symbols_object_get_add_query (ValideSymbolsObject* self);
char* valide_symbols_object_get_exist_query (ValideSymbolsObject* self);
char* valide_symbols_object_get_remove_query (ValideSymbolsObject* self);
gint valide_symbols_object_get_id (ValideSymbolsObject* self);
void valide_symbols_object_set_id (ValideSymbolsObject* self, gint value);
gpointer valide_symbols_parser_ref (gpointer instance);
void valide_symbols_parser_unref (gpointer instance);
GParamSpec* valide_symbols_param_spec_parser (const gchar* name, const gchar* nick, const gchar* blurb, GType object_type, GParamFlags flags);
void valide_symbols_value_set_parser (GValue* value, gpointer v_object);
gpointer valide_symbols_value_get_parser (const GValue* value);
GType valide_symbols_parser_get_type (void);
ValideSymbolsSymbol* valide_symbols_parser_get_current_type (ValideSymbolsParser* self, ValideSourceBuffer* source_buffer);
ValideSymbolsSymbol* valide_symbols_parser_get_current_symbol (ValideSymbolsParser* self, ValideSourceBuffer* source_buffer);
ValideSymbolsParser* valide_symbols_parser_new (void);
ValideSymbolsParser* valide_symbols_parser_construct (GType object_type);
ValideSymbolsSymbol* valide_symbols_symbol_new_from_id (gint id);
ValideSymbolsSymbol* valide_symbols_symbol_construct_from_id (GType object_type, gint id);
ValideSymbolsSymbol* valide_symbols_symbol_new_from_full_name (const char* full_name);
ValideSymbolsSymbol* valide_symbols_symbol_construct_from_full_name (GType object_type, const char* full_name);
char* valide_symbols_symbol_get_prototype (ValideSymbolsSymbol* self);
ValideSymbolsSymbol* valide_symbols_symbol_new (void);
ValideSymbolsSymbol* valide_symbols_symbol_construct (GType object_type);
GdkPixbuf* valide_symbols_symbol_get_icon (ValideSymbolsSymbol* self);
void valide_abstract_close_dialog_connect_signal (ValideAbstractCloseDialog* self, GtkBuilder* builder, GObject* object, const char* signal_name, const char* handler_name, GObject* connect_objectt, GConnectFlags flags);
void valide_abstract_close_dialog_connect_signals (ValideAbstractCloseDialog* self, const char* namespace);
ValideAbstractCloseDialogwindow_widgets* valide_abstract_close_dialog_window_widgets_new (void);
ValideAbstractCloseDialogwindow_widgets* valide_abstract_close_dialog_window_widgets_construct (GType object_type);
GType valide_abstract_close_dialog_window_widget_names_get_type (void);
ValideAbstractCloseDialogwindow_widget_names* valide_abstract_close_dialog_window_widget_names_dup (const ValideAbstractCloseDialogwindow_widget_names* self);
void valide_abstract_close_dialog_window_widget_names_free (ValideAbstractCloseDialogwindow_widget_names* self);
void valide_abstract_close_dialog_window_widget_names_copy (const ValideAbstractCloseDialogwindow_widget_names* self, ValideAbstractCloseDialogwindow_widget_names* dest);
void valide_abstract_close_dialog_window_widget_names_destroy (ValideAbstractCloseDialogwindow_widget_names* self);
void valide_abstract_preferences_dialog_connect_signal (ValideAbstractPreferencesDialog* self, GtkBuilder* builder, GObject* object, const char* signal_name, const char* handler_name, GObject* connect_objectt, GConnectFlags flags);
void valide_abstract_preferences_dialog_connect_signals (ValideAbstractPreferencesDialog* self, const char* namespace);
ValideAbstractPreferencesDialogwindow_widgets* valide_abstract_preferences_dialog_window_widgets_new (void);
ValideAbstractPreferencesDialogwindow_widgets* valide_abstract_preferences_dialog_window_widgets_construct (GType object_type);
GType valide_abstract_preferences_dialog_window_widget_names_get_type (void);
ValideAbstractPreferencesDialogwindow_widget_names* valide_abstract_preferences_dialog_window_widget_names_dup (const ValideAbstractPreferencesDialogwindow_widget_names* self);
void valide_abstract_preferences_dialog_window_widget_names_free (ValideAbstractPreferencesDialogwindow_widget_names* self);
void valide_abstract_preferences_dialog_window_widget_names_copy (const ValideAbstractPreferencesDialogwindow_widget_names* self, ValideAbstractPreferencesDialogwindow_widget_names* dest);
void valide_abstract_preferences_dialog_window_widget_names_destroy (ValideAbstractPreferencesDialogwindow_widget_names* self);
void valide_abstract_project_dialog_options_connect_signal (ValideAbstractProjectDialogOptions* self, GtkBuilder* builder, GObject* object, const char* signal_name, const char* handler_name, GObject* connect_objectt, GConnectFlags flags);
void valide_abstract_project_dialog_options_connect_signals (ValideAbstractProjectDialogOptions* self, const char* namespace);
ValideAbstractProjectDialogOptionswindow_widgets* valide_abstract_project_dialog_options_window_widgets_new (void);
ValideAbstractProjectDialogOptionswindow_widgets* valide_abstract_project_dialog_options_window_widgets_construct (GType object_type);
GType valide_abstract_project_dialog_options_window_widget_names_get_type (void);
ValideAbstractProjectDialogOptionswindow_widget_names* valide_abstract_project_dialog_options_window_widget_names_dup (const ValideAbstractProjectDialogOptionswindow_widget_names* self);
void valide_abstract_project_dialog_options_window_widget_names_free (ValideAbstractProjectDialogOptionswindow_widget_names* self);
void valide_abstract_project_dialog_options_window_widget_names_copy (const ValideAbstractProjectDialogOptionswindow_widget_names* self, ValideAbstractProjectDialogOptionswindow_widget_names* dest);
void valide_abstract_project_dialog_options_window_widget_names_destroy (ValideAbstractProjectDialogOptionswindow_widget_names* self);
void valide_abstract_project_dialog_remove_connect_signal (ValideAbstractProjectDialogRemove* self, GtkBuilder* builder, GObject* object, const char* signal_name, const char* handler_name, GObject* connect_objectt, GConnectFlags flags);
void valide_abstract_project_dialog_remove_connect_signals (ValideAbstractProjectDialogRemove* self, const char* namespace);
ValideAbstractProjectDialogRemovewindow_widgets* valide_abstract_project_dialog_remove_window_widgets_new (void);
ValideAbstractProjectDialogRemovewindow_widgets* valide_abstract_project_dialog_remove_window_widgets_construct (GType object_type);
GType valide_abstract_project_dialog_remove_window_widget_names_get_type (void);
ValideAbstractProjectDialogRemovewindow_widget_names* valide_abstract_project_dialog_remove_window_widget_names_dup (const ValideAbstractProjectDialogRemovewindow_widget_names* self);
void valide_abstract_project_dialog_remove_window_widget_names_free (ValideAbstractProjectDialogRemovewindow_widget_names* self);
void valide_abstract_project_dialog_remove_window_widget_names_copy (const ValideAbstractProjectDialogRemovewindow_widget_names* self, ValideAbstractProjectDialogRemovewindow_widget_names* dest);
void valide_abstract_project_dialog_remove_window_widget_names_destroy (ValideAbstractProjectDialogRemovewindow_widget_names* self);
void valide_abstract_project_dialog_connect_signal (ValideAbstractProjectDialog* self, GtkBuilder* builder, GObject* object, const char* signal_name, const char* handler_name, GObject* connect_objectt, GConnectFlags flags);
void valide_abstract_project_dialog_connect_signals (ValideAbstractProjectDialog* self, const char* namespace);
ValideAbstractProjectDialogwindow_widgets* valide_abstract_project_dialog_window_widgets_new (void);
ValideAbstractProjectDialogwindow_widgets* valide_abstract_project_dialog_window_widgets_construct (GType object_type);
GType valide_abstract_project_dialog_window_widget_names_get_type (void);
ValideAbstractProjectDialogwindow_widget_names* valide_abstract_project_dialog_window_widget_names_dup (const ValideAbstractProjectDialogwindow_widget_names* self);
void valide_abstract_project_dialog_window_widget_names_free (ValideAbstractProjectDialogwindow_widget_names* self);
void valide_abstract_project_dialog_window_widget_names_copy (const ValideAbstractProjectDialogwindow_widget_names* self, ValideAbstractProjectDialogwindow_widget_names* dest);
void valide_abstract_project_dialog_window_widget_names_destroy (ValideAbstractProjectDialogwindow_widget_names* self);

static const char* VALIDE_PLUGIN_REGISTRAR_FILE_EXT[] = {"valide-plugin"};
static const char* VALIDE_PROJECT_FILE_EXT[] = {"vide"};
static const ValideAbstractCloseDialogwindow_widget_names VALIDE_ABSTRACT_CLOSE_DIALOG_widget_info[] = {{0, "GtkListStore", "list_store"}, {1, "GtkDialog", "dialog"}, {2, "GtkVBox", "dialog-vbox1"}, {2, "GtkVBox", "dialog_vbox1"}, {3, "GtkVBox", "vbox1"}, {4, "GtkHBox", "hbox1"}, {5, "GtkImage", "image1"}, {6, "GtkVBox", "vbox2"}, {7, "GtkLabel", "label"}, {8, "GtkLabel", "label3"}, {9, "GtkTreeView", "tree_view"}, {10, "GtkLabel", "label1"}, {11, "GtkHButtonBox", "dialog-action_area1"}, {11, "GtkHButtonBox", "dialog_action_area1"}, {12, "GtkButton", "button1"}, {13, "GtkButton", "button2"}, {14, "GtkButton", "button3"}, {0, NULL, NULL}};
static const ValideAbstractPreferencesDialogwindow_widget_names VALIDE_ABSTRACT_PREFERENCES_DIALOG_widget_info[] = {{0, "GtkDialog", "dialog"}, {1, "GtkVBox", "vbox"}, {2, "GtkNotebook", "notebook"}, {3, "GtkVBox", "frame_editor"}, {4, "GtkFrame", "frame1"}, {5, "GtkAlignment", "alignment1"}, {6, "GtkVBox", "vbox1"}, {7, "GtkCheckButton", "auto_indent"}, {8, "GtkCheckButton", "insert_spaces_instead_of_tabs"}, {9, "GtkCheckButton", "indent_on_tab"}, {10, "GtkHBox", "hbox2"}, {11, "GtkLabel", "label5"}, {12, "GtkSpinButton", "tab_width"}, {13, "GtkLabel", "label3"}, {14, "GtkFrame", "frame2"}, {15, "GtkAlignment", "alignment2"}, {16, "GtkVBox", "vbox2"}, {17, "GtkCheckButton", "show_right_margin"}, {18, "GtkHBox", "hbox3"}, {19, "GtkLabel", "label7"}, {20, "GtkSpinButton", "right_margin_position"}, {21, "GtkLabel", "label6"}, {22, "GtkFrame", "frame4"}, {23, "GtkAlignment", "alignment4"}, {24, "GtkCheckButton", "show_line_numbers"}, {25, "GtkLabel", "label11"}, {26, "GtkFrame", "frame5"}, {27, "GtkAlignment", "alignment5"}, {28, "GtkCheckButton", "highlight_current_line"}, {29, "GtkLabel", "label12"}, {30, "GtkLabel", "label1"}, {31, "GtkVBox", "vbox4"}, {32, "GtkFrame", "frame3"}, {33, "GtkAlignment", "alignment3"}, {34, "GtkHBox", "hbox4"}, {35, "GtkLabel", "label8"}, {36, "GtkFontButton", "font"}, {37, "GtkLabel", "label2"}, {38, "GtkFrame", "frame6"}, {39, "GtkAlignment", "alignment6"}, {40, "GtkScrolledWindow", "scrolledwindow1"}, {41, "GtkTreeView", "style_scheme"}, {42, "GtkLabel", "label14"}, {43, "GtkLabel", "label13"}, {44, "GtkVBox", "vbox3"}, {45, "GtkHBox", "hbox5"}, {46, "GtkLabel", "label10"}, {47, "GtkFileChooserButton", "default_directory"}, {48, "GtkLabel", "label9"}, {49, "GtkHButtonBox", "dialog-action_area1"}, {49, "GtkHButtonBox", "dialog_action_area1"}, {50, "GtkButton", "button"}, {0, NULL, NULL}};
static const ValideAbstractProjectDialogOptionswindow_widget_names VALIDE_ABSTRACT_PROJECT_DIALOG_OPTIONS_widget_info[] = {{0, "GtkDialog", "dialog"}, {1, "GtkVBox", "vbox"}, {2, "GtkHBox", "hbox"}, {3, "GtkScrolledWindow", "scrolled_window"}, {4, "GtkIconView", "icon_view"}, {5, "GtkNotebook", "notebook"}, {6, "GtkTable", "table1"}, {7, "GtkLabel", "label7"}, {8, "GtkLabel", "label8"}, {9, "GtkLabel", "label9"}, {10, "GtkLabel", "label10"}, {11, "GtkLabel", "path"}, {12, "GtkEntry", "name"}, {13, "GtkEntry", "author"}, {14, "GtkEntry", "version"}, {15, "GtkLabel", "label11"}, {16, "GtkLabel", "license"}, {17, "GtkLabel", "label12"}, {18, "GtkVBox", "frame_general"}, {19, "GtkCheckButton", "debug"}, {20, "GtkCheckButton", "thread"}, {21, "GtkCheckButton", "disable_assert"}, {22, "GtkCheckButton", "disable_checking"}, {23, "GtkCheckButton", "disable_non_null"}, {24, "GtkCheckButton", "save_temps"}, {25, "GtkCheckButton", "quiet"}, {26, "GtkHBox", "hbox1"}, {27, "GtkLabel", "label3"}, {28, "GtkEntry", "other"}, {29, "GtkButton", "info_button"}, {30, "GtkImage", "image3"}, {31, "GtkLabel", "label1"}, {32, "GtkVBox", "vbox1"}, {33, "GtkFrame", "frame_pkg"}, {34, "GtkAlignment", "alignment1"}, {35, "GtkHBox", "hbox2"}, {36, "GtkScrolledWindow", "scrolledwindow1"}, {37, "GtkTreeView", "tree_view_src"}, {38, "GtkVBox", "vbox3"}, {39, "GtkButton", "button_add"}, {40, "GtkImage", "image1"}, {41, "GtkButton", "button_del"}, {42, "GtkImage", "image2"}, {43, "GtkScrolledWindow", "scrolledwindow2"}, {44, "GtkTreeView", "tree_view_dst"}, {45, "GtkLabel", "label4"}, {46, "GtkFrame", "frame_vapi"}, {47, "GtkAlignment", "alignment2"}, {48, "GtkVBox", "vbox4"}, {49, "GtkHBox", "hbox3"}, {50, "GtkFileChooserButton", "file_chooser_button"}, {51, "GtkButton", "button3"}, {52, "GtkButton", "button4"}, {53, "GtkScrolledWindow", "scrolledwindow3"}, {54, "GtkTreeView", "tree_view_vapi"}, {55, "GtkLabel", "label5"}, {56, "GtkLabel", "label2"}, {57, "GtkHButtonBox", "dialog-action_area1"}, {57, "GtkHButtonBox", "dialog_action_area1"}, {58, "GtkButton", "button1"}, {59, "GtkButton", "button2"}, {0, NULL, NULL}};
static const ValideAbstractProjectDialogRemovewindow_widget_names VALIDE_ABSTRACT_PROJECT_DIALOG_REMOVE_widget_info[] = {{0, "GtkDialog", "dialog"}, {1, "GtkVBox", "vbox"}, {2, "GtkLabel", "label"}, {3, "GtkScrolledWindow", "scrolled_window"}, {4, "GtkTreeView", "tree_view"}, {5, "GtkHButtonBox", "dialog_action_area"}, {6, "GtkButton", "button1"}, {7, "GtkButton", "button2"}, {0, NULL, NULL}};
static const ValideAbstractProjectDialogwindow_widget_names VALIDE_ABSTRACT_PROJECT_DIALOG_widget_info[] = {{0, "GtkListStore", "model1"}, {1, "GtkAssistant", "assistant"}, {2, "GtkLabel", "page1"}, {3, "GtkVBox", "page2"}, {4, "GtkScrolledWindow", "scrolledwindow1"}, {5, "GtkIconView", "icon_view"}, {6, "GtkHBox", "hbox1"}, {7, "GtkLabel", "label1"}, {8, "GtkComboBox", "lang_combo"}, {9, "GtkCellRendererText", "renderer1"}, {10, "GtkFrame", "frame1"}, {11, "GtkAlignment", "alignment1"}, {12, "GtkLabel", "desc_label"}, {13, "GtkLabel", "label4"}, {14, "GtkScrolledWindow", "page3"}, {15, "GtkViewport", "viewport1"}, {16, "GtkTable", "table1"}, {17, "GtkLabel", "label2"}, {18, "GtkLabel", "label3"}, {19, "GtkLabel", "label6"}, {20, "GtkEntry", "name_entry"}, {21, "GtkEntry", "path_entry"}, {22, "GtkLabel", "label7"}, {23, "GtkLabel", "label8"}, {24, "GtkLabel", "label9"}, {25, "GtkEntry", "author_entry"}, {26, "GtkEntry", "version_entry"}, {27, "GtkComboBox", "licenses_combo"}, {28, "GtkFileChooserButton", "dir_chooser"}, {0, NULL, NULL}};

G_END_DECLS

#endif
